#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x10126027, "");
SYMBOL_CRC(flow_resources_alloc, 0xee13d4d9, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x6194f8b9, "");
SYMBOL_CRC(flow_resources_add, 0xbf0fd549, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xd4cfec81, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x5466d6e9, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x01c6992c, "");
SYMBOL_CRC(uverbs_idr_class, 0xa361c76c, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x7d44def2, "");
SYMBOL_CRC(uverbs_fd_class, 0x4d3c0063, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xf2dae239, "");
SYMBOL_CRC(_uverbs_alloc, 0x7dde5cd5, "");
SYMBOL_CRC(uverbs_get_flags64, 0x7a3728f2, "");
SYMBOL_CRC(uverbs_get_flags32, 0xdd2a82e8, "");
SYMBOL_CRC(uverbs_copy_to, 0x45e22ab2, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xa1849914, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x86bec0a2, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x07528992, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x756d347a, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x8e7aca59, "");
SYMBOL_CRC(ib_umem_get, 0xf2652ff0, "");
SYMBOL_CRC(ib_umem_release, 0x6224a1a9, "");
SYMBOL_CRC(ib_umem_copy_from, 0x5c2785dd, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xdd028299, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xe1c35452, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xb0a59466, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x9fed2ec0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65445186, "pin_user_pages_fast" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x621db1fd, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x976b23f2, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf54bf0d0, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xd6068f72, "ib_unregister_client" },
	{ 0xf6c01eb8, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa85e2ea, "unpin_user_pages_dirty_lock" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x6eb0ae25, "dev_set_name" },
	{ 0xf797e319, "ibdev_warn" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9dc88128, "ib_create_qp_user" },
	{ 0x2bd5fc70, "dma_resv_wait_timeout" },
	{ 0x527bbf4e, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x372e74ed, "kill_fasync" },
	{ 0xbfbb1869, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xa5a004c1, "fget" },
	{ 0x7923ece3, "ib_query_srq" },
	{ 0xfc7a5cb1, "ww_mutex_unlock" },
	{ 0x452a3af3, "device_initialize" },
	{ 0x3423c236, "ib_rdmacg_try_charge" },
	{ 0xb43aad0, "fd_install" },
	{ 0x236c8c64, "memcpy" },
	{ 0x4c1009df, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a3e8af1, "unpin_user_page_range_dirty_lock" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x6d83cf79, "iput" },
	{ 0xd417c792, "dma_buf_unpin" },
	{ 0x295c414d, "zap_vma_ptes" },
	{ 0xe9e1e2ff, "ib_dereg_mr_user" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc401c316, "rdma_dev_access_netns" },
	{ 0xc4886ef9, "get_device" },
	{ 0xcb17cd31, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xcb204da1, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcb613b0e, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xd2260096, "radix_tree_iter_delete" },
	{ 0xbc33194, "ib_destroy_srq_user" },
	{ 0xd5c3e8ec, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3d257390, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x17e3db04, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xd8ff333d, "put_device" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0x58fe0680, "ib_modify_qp_with_udata" },
	{ 0x8dd6660, "ib_register_event_handler" },
	{ 0x8bc3efe3, "ib_detach_mcast" },
	{ 0x8f112b4b, "dma_buf_map_attachment" },
	{ 0xba8292be, "__free_pages" },
	{ 0x9f60ae1b, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x64f25bb2, "module_put" },
	{ 0xf25a63f1, "ib_register_client" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xc7cf7c6, "zero_page_mask" },
	{ 0xf74b423b, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0x4f7e7ffb, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xd508a027, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0xd9df3f44, "fput" },
	{ 0xc717b0cc, "ib_set_client_data" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x9622d564, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x7a400bb8, "dma_buf_unmap_attachment" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x4f5aa411, "radix_tree_next_chunk" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x2bf959f3, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x236e363e, "dma_buf_get" },
	{ 0x602b6297, "ib_query_port" },
	{ 0x810bef7e, "sg_free_append_table" },
	{ 0x7965889, "nla_put" },
	{ 0xf5aaaba0, "ww_mutex_lock" },
	{ 0x543980c6, "fasync_helper" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc05ba2f0, "ib_qp_usecnt_inc" },
	{ 0xdca1aeb9, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x500fa3a, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x67cded46, "ib_destroy_qp_user" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xae0ae727, "rdma_restrack_set_name" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x63f46460, "rdma_create_user_ah" },
	{ 0x25dbbf49, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xc889c8f9, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x619c7498, "ib_destroy_cq_user" },
	{ 0x103bafd6, "down_read" },
	{ 0x39dc94a3, "__mmdrop" },
	{ 0xd9270e6b, "rdma_restrack_del" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x2dfefec0, "__mmap_lock_do_trace_start_locking" },
	{ 0xca996ec5, "ib_rdmacg_uncharge" },
	{ 0xc83d5c09, "igrab" },
	{ 0x91714a18, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x73004d3f, "mmput" },
	{ 0x44ef41ac, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x362db309, "alloc_pages" },
	{ 0x87b8798d, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12b01123, "__mmap_lock_do_trace_released" },
	{ 0x48a4d729, "ib_alloc_xrcd_user" },
	{ 0xe70e184a, "xa_store" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0x9b20a16c, "rdma_set_cq_moderation" },
	{ 0x23078d0b, "ib_dealloc_xrcd_user" },
	{ 0x1eb87996, "dma_buf_detach" },
	{ 0x2e53d6c9, "stream_open" },
	{ 0x4108d7dd, "ib_open_qp" },
	{ 0xff5b4c40, "ib_dealloc_pd_user" },
	{ 0xa0d8de8f, "rdma_get_gid_attr" },
	{ 0x86550222, "dma_unmap_sg_attrs" },
	{ 0x32b7397b, "rdma_port_get_link_layer" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xb31b8e7c, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x899d5689, "rdma_query_gid_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7c8aef59, "rdma_restrack_put" },
	{ 0x607e3565, "ib_attach_mcast" },
	{ 0xdd1df5c2, "rdma_umap_priv_init" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x96bd7b60, "ib_destroy_wq_user" },
	{ 0x6e9085d8, "class_register" },
	{ 0xa8d14288, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x1ba04458, "sg_pcopy_to_buffer" },
	{ 0x7fd0e1d0, "rdma_user_mmap_entry_put" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "C4C2500C74F21AD08317E82");
MODULE_INFO(rhelversion, "9.99");
