#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_bio_prison_create, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell, "_gpl", "");
KSYMTAB_FUNC(dm_cell_key_has_valid_range, "", "");
KSYMTAB_FUNC(dm_bio_detain, "_gpl", "");
KSYMTAB_FUNC(dm_get_cell, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release_no_holder, "_gpl", "");
KSYMTAB_FUNC(dm_cell_error, "_gpl", "");
KSYMTAB_FUNC(dm_cell_visit_release, "_gpl", "");
KSYMTAB_FUNC(dm_cell_promote_or_release, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_create, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_inc, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_dec, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_add_work, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_create_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_get_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_put_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_quiesce_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_promote_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_unlock_v2, "_gpl", "");

SYMBOL_CRC(dm_bio_prison_create, 0x753e20b2, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy, 0xb70b342a, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell, 0xf97e5bae, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell, 0x8077a96e, "_gpl");
SYMBOL_CRC(dm_cell_key_has_valid_range, 0x476d2454, "");
SYMBOL_CRC(dm_bio_detain, 0x69a29a96, "_gpl");
SYMBOL_CRC(dm_get_cell, 0x99bef545, "_gpl");
SYMBOL_CRC(dm_cell_release, 0xe3ea04ea, "_gpl");
SYMBOL_CRC(dm_cell_release_no_holder, 0xcd347e04, "_gpl");
SYMBOL_CRC(dm_cell_error, 0xe892c125, "_gpl");
SYMBOL_CRC(dm_cell_visit_release, 0x54ebb6a6, "_gpl");
SYMBOL_CRC(dm_cell_promote_or_release, 0x524cc5cc, "_gpl");
SYMBOL_CRC(dm_deferred_set_create, 0x17dd39d6, "_gpl");
SYMBOL_CRC(dm_deferred_set_destroy, 0x2eb01e04, "_gpl");
SYMBOL_CRC(dm_deferred_entry_inc, 0xca2e3a88, "_gpl");
SYMBOL_CRC(dm_deferred_entry_dec, 0x6791a44e, "_gpl");
SYMBOL_CRC(dm_deferred_set_add_work, 0xb6d5c65d, "_gpl");
SYMBOL_CRC(dm_bio_prison_create_v2, 0xd99e003d, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy_v2, 0xace9b57b, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell_v2, 0xc579b03c, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell_v2, 0x10707bac, "_gpl");
SYMBOL_CRC(dm_cell_get_v2, 0x960dda5a, "_gpl");
SYMBOL_CRC(dm_cell_put_v2, 0xe9942411, "_gpl");
SYMBOL_CRC(dm_cell_lock_v2, 0xc654bfca, "_gpl");
SYMBOL_CRC(dm_cell_quiesce_v2, 0xa233a66b, "_gpl");
SYMBOL_CRC(dm_cell_lock_promote_v2, 0xb9721b3d, "_gpl");
SYMBOL_CRC(dm_cell_unlock_v2, 0xa22f44bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7dec65ff, "mempool_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xe276215e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6f79375c, "mempool_free" },
	{ 0xe9fcb616, "mempool_alloc" },
	{ 0x53200b65, "bio_endio" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0x58896ea1, "kmem_cache_destroy" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AD580DB9733387C8FFFAF58");
MODULE_INFO(rhelversion, "9.99");
