#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x3b1e960e, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x33627304, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xbe7e5dc0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x13e6bf19, "rtnl_link_register" },
	{ 0xf1b4c169, "genl_register_family" },
	{ 0x9f5fed08, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x494e9d83, "crypto_destroy_tfm" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb282e9c6, "crypto_alloc_aead" },
	{ 0xc2972d85, "crypto_aead_setkey" },
	{ 0x9cb5967e, "crypto_aead_setauthsize" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x7965889, "nla_put" },
	{ 0xd9d74763, "skb_clone" },
	{ 0x83d5b5b1, "__netif_rx" },
	{ 0xa3a5be95, "memmove" },
	{ 0xe4e323b2, "skb_pull" },
	{ 0x6c6273c3, "___pskb_trim" },
	{ 0xbd7eb973, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x9cedf6f, "dev_mc_sync" },
	{ 0xb01b56e3, "dev_uc_sync" },
	{ 0x3f40b339, "dev_set_allmulti" },
	{ 0x94637d39, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xef2b28aa, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7d9755a7, "metadata_dst_free" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x46f721ca, "__dev_queue_xmit" },
	{ 0x2e7c5fbb, "eth_type_trans" },
	{ 0xfe872b73, "gro_cells_receive" },
	{ 0x9936da14, "kfree_skb_reason" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x79120a, "gro_cells_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x98089e39, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4a2b33d, "__dev_get_by_index" },
	{ 0xc251dd98, "register_netdevice" },
	{ 0xd5259e74, "netdev_upper_dev_link" },
	{ 0xd5965fcb, "netdev_upper_dev_unlink" },
	{ 0x3a9edfab, "unregister_netdevice_queue" },
	{ 0x728495f8, "metadata_dst_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2d02318f, "netif_stacked_transfer_operstate" },
	{ 0xcf285dfe, "linkwatch_fire_event" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x1a0ba7e, "netdev_rx_handler_register" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xfedca1aa, "skb_cow_data" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0xfbb33af5, "skb_to_sgvec" },
	{ 0x909479d, "crypto_aead_decrypt" },
	{ 0x77eb7a1f, "consume_skb" },
	{ 0x6c03f385, "skb_copy" },
	{ 0xbb642bbb, "skb_push" },
	{ 0x3cf182ff, "__pskb_pull_tail" },
	{ 0xe345cd4a, "skb_put" },
	{ 0x5a9afe2d, "crypto_aead_encrypt" },
	{ 0x4bed4355, "skb_copy_expand" },
	{ 0x7f19bc53, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1b59461b, "skb_trim" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2001dff1, "netdev_rx_handler_unregister" },
	{ 0x603db4c3, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x487b6835, "netif_carrier_off" },
	{ 0xe490028f, "dev_mc_unsync" },
	{ 0xe7c25799, "dev_uc_unsync" },
	{ 0x8a17af2f, "dev_uc_del" },
	{ 0x309600f7, "dev_uc_add" },
	{ 0x6112f28, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x39eddd2, "genlmsg_put" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8348BE3FF9BDB484FB08B52");
MODULE_INFO(rhelversion, "9.99");
