#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(tape_core_dbf, "", "");
KSYMTAB_FUNC(tape_generic_remove, "", "");
KSYMTAB_FUNC(tape_generic_probe, "", "");
KSYMTAB_FUNC(tape_generic_online, "", "");
KSYMTAB_FUNC(tape_generic_offline, "", "");
KSYMTAB_FUNC(tape_put_device, "", "");
KSYMTAB_FUNC(tape_get_device, "", "");
KSYMTAB_DATA(tape_state_verbose, "", "");
KSYMTAB_DATA(tape_op_verbose, "", "");
KSYMTAB_FUNC(tape_state_set, "", "");
KSYMTAB_FUNC(tape_med_state_set, "", "");
KSYMTAB_FUNC(tape_alloc_request, "", "");
KSYMTAB_FUNC(tape_free_request, "", "");
KSYMTAB_FUNC(tape_dump_sense_dbf, "", "");
KSYMTAB_FUNC(tape_do_io, "", "");
KSYMTAB_FUNC(tape_do_io_async, "", "");
KSYMTAB_FUNC(tape_do_io_interruptible, "", "");
KSYMTAB_FUNC(tape_cancel_io, "", "");
KSYMTAB_FUNC(tape_mtop, "", "");
KSYMTAB_FUNC(tape_std_assign, "", "");
KSYMTAB_FUNC(tape_std_unassign, "", "");
KSYMTAB_FUNC(tape_std_display, "", "");
KSYMTAB_FUNC(tape_std_read_block_id, "", "");
KSYMTAB_FUNC(tape_std_mtload, "", "");
KSYMTAB_FUNC(tape_std_mtsetblk, "", "");
KSYMTAB_FUNC(tape_std_mtreset, "", "");
KSYMTAB_FUNC(tape_std_mtfsf, "", "");
KSYMTAB_FUNC(tape_std_mtfsr, "", "");
KSYMTAB_FUNC(tape_std_mtbsr, "", "");
KSYMTAB_FUNC(tape_std_mtweof, "", "");
KSYMTAB_FUNC(tape_std_mtbsfm, "", "");
KSYMTAB_FUNC(tape_std_mtbsf, "", "");
KSYMTAB_FUNC(tape_std_mtfsfm, "", "");
KSYMTAB_FUNC(tape_std_mtrew, "", "");
KSYMTAB_FUNC(tape_std_mtoffl, "", "");
KSYMTAB_FUNC(tape_std_mtnop, "", "");
KSYMTAB_FUNC(tape_std_mteom, "", "");
KSYMTAB_FUNC(tape_std_mtreten, "", "");
KSYMTAB_FUNC(tape_std_mterase, "", "");
KSYMTAB_FUNC(tape_std_mtunload, "", "");
KSYMTAB_FUNC(tape_std_mtcompression, "", "");
KSYMTAB_FUNC(tape_std_read_block, "", "");
KSYMTAB_FUNC(tape_std_read_backward, "", "");
KSYMTAB_FUNC(tape_std_write_block, "", "");
KSYMTAB_FUNC(tape_std_process_eov, "", "");

SYMBOL_CRC(tape_core_dbf, 0xbd3e3263, "");
SYMBOL_CRC(tape_generic_remove, 0xc2bd1ca9, "");
SYMBOL_CRC(tape_generic_probe, 0xc21d692f, "");
SYMBOL_CRC(tape_generic_online, 0xa850b772, "");
SYMBOL_CRC(tape_generic_offline, 0xe09831e2, "");
SYMBOL_CRC(tape_put_device, 0xe5c9a531, "");
SYMBOL_CRC(tape_get_device, 0x547e0d02, "");
SYMBOL_CRC(tape_state_verbose, 0x2546c415, "");
SYMBOL_CRC(tape_op_verbose, 0x66deb66c, "");
SYMBOL_CRC(tape_state_set, 0x55d75a5e, "");
SYMBOL_CRC(tape_med_state_set, 0x62554d8d, "");
SYMBOL_CRC(tape_alloc_request, 0xb410ab06, "");
SYMBOL_CRC(tape_free_request, 0x451063ec, "");
SYMBOL_CRC(tape_dump_sense_dbf, 0x2670e9c1, "");
SYMBOL_CRC(tape_do_io, 0xfaffd498, "");
SYMBOL_CRC(tape_do_io_async, 0x1644882a, "");
SYMBOL_CRC(tape_do_io_interruptible, 0xc8c1ba7e, "");
SYMBOL_CRC(tape_cancel_io, 0xd361c6e1, "");
SYMBOL_CRC(tape_mtop, 0xb4132a0a, "");
SYMBOL_CRC(tape_std_assign, 0xbcd5115b, "");
SYMBOL_CRC(tape_std_unassign, 0x2e8ed687, "");
SYMBOL_CRC(tape_std_display, 0xc9848b59, "");
SYMBOL_CRC(tape_std_read_block_id, 0xa6ab678c, "");
SYMBOL_CRC(tape_std_mtload, 0x17b06dcb, "");
SYMBOL_CRC(tape_std_mtsetblk, 0x98c2ee7c, "");
SYMBOL_CRC(tape_std_mtreset, 0x88adb482, "");
SYMBOL_CRC(tape_std_mtfsf, 0xd9a8adb5, "");
SYMBOL_CRC(tape_std_mtfsr, 0x2ac87e24, "");
SYMBOL_CRC(tape_std_mtbsr, 0x31e2e935, "");
SYMBOL_CRC(tape_std_mtweof, 0x17b75e6d, "");
SYMBOL_CRC(tape_std_mtbsfm, 0x8552aca0, "");
SYMBOL_CRC(tape_std_mtbsf, 0xc2823aa4, "");
SYMBOL_CRC(tape_std_mtfsfm, 0xeff9a6c5, "");
SYMBOL_CRC(tape_std_mtrew, 0x6896b50e, "");
SYMBOL_CRC(tape_std_mtoffl, 0x9d7bacc9, "");
SYMBOL_CRC(tape_std_mtnop, 0x8e1a2470, "");
SYMBOL_CRC(tape_std_mteom, 0xc030cec4, "");
SYMBOL_CRC(tape_std_mtreten, 0xe2e4f1ac, "");
SYMBOL_CRC(tape_std_mterase, 0x2cd2c4eb, "");
SYMBOL_CRC(tape_std_mtunload, 0x26174ced, "");
SYMBOL_CRC(tape_std_mtcompression, 0x802eab94, "");
SYMBOL_CRC(tape_std_read_block, 0xe07e5b17, "");
SYMBOL_CRC(tape_std_read_backward, 0x8858acfc, "");
SYMBOL_CRC(tape_std_write_block, 0xbfbcb6e1, "");
SYMBOL_CRC(tape_std_process_eov, 0xadff94be, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x621db1fd, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x49188ff9, "register_tape_dev" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xeb1f1732, "debug_set_level" },
	{ 0x7cedd8e1, "debug_register" },
	{ 0x13acdf38, "ccw_device_start" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x64f25bb2, "module_put" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x5e9e4f82, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x46821efa, "ccw_device_get_id" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa6e7260, "sysfs_create_group" },
	{ 0xd9e33145, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe6265d96, "unregister_tape_dev" },
	{ 0x802e8d14, "ccw_device_clear" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0x4f6b6ce7, "sysfs_remove_group" },
	{ 0x18edd8ac, "debug_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9813fbd3, "remove_proc_entry" },
	{ 0x2394b85a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2e53d6c9, "stream_open" },
	{ 0xa427abb7, "ccw_device_set_options" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0xcdc8ee5c, "debug_sprintf_view" },
	{ 0xb1cbd1ec, "proc_create_seq_private" },
	{ 0x51b2959b, "__debug_sprintf_exception" },
	{ 0x8976834b, "debug_register_view" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "tape_class");


MODULE_INFO(srcversion, "7F5D7BC79B6CEDFBB0EE11C");
MODULE_INFO(rhelversion, "9.99");
