#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(framebuffer_alloc, "", "");
KSYMTAB_FUNC(framebuffer_release, "", "");
KSYMTAB_FUNC(fb_get_color_depth, "", "");
KSYMTAB_FUNC(fb_pad_aligned_buffer, "", "");
KSYMTAB_FUNC(fb_pad_unaligned_buffer, "", "");
KSYMTAB_FUNC(fb_get_buffer_offset, "", "");
KSYMTAB_FUNC(fb_prepare_logo, "", "");
KSYMTAB_FUNC(fb_show_logo, "", "");
KSYMTAB_FUNC(fb_pan_display, "", "");
KSYMTAB_FUNC(fb_set_var, "", "");
KSYMTAB_FUNC(fb_blank, "", "");
KSYMTAB_FUNC(register_framebuffer, "", "");
KSYMTAB_FUNC(unregister_framebuffer, "", "");
KSYMTAB_FUNC(fb_set_suspend, "", "");
KSYMTAB_FUNC(fb_modesetting_disabled, "", "");
KSYMTAB_FUNC(fb_alloc_cmap, "", "");
KSYMTAB_FUNC(fb_dealloc_cmap, "", "");
KSYMTAB_FUNC(fb_copy_cmap, "", "");
KSYMTAB_FUNC(fb_set_cmap, "", "");
KSYMTAB_FUNC(fb_default_cmap, "", "");
KSYMTAB_FUNC(fb_invert_cmaps, "", "");
KSYMTAB_DATA(vesa_modes, "", "");
KSYMTAB_DATA(dmt_modes, "", "");
KSYMTAB_FUNC(fb_destroy_modelist, "_gpl", "");
KSYMTAB_FUNC(fb_find_best_display, "", "");
KSYMTAB_FUNC(fb_videomode_to_var, "", "");
KSYMTAB_FUNC(fb_var_to_videomode, "", "");
KSYMTAB_FUNC(fb_mode_is_equal, "", "");
KSYMTAB_FUNC(fb_add_videomode, "", "");
KSYMTAB_FUNC(fb_match_mode, "", "");
KSYMTAB_FUNC(fb_find_best_mode, "", "");
KSYMTAB_FUNC(fb_find_nearest_mode, "", "");
KSYMTAB_FUNC(fb_videomode_to_modelist, "", "");
KSYMTAB_FUNC(fb_find_mode, "", "");
KSYMTAB_FUNC(fb_find_mode_cvt, "", "");
KSYMTAB_FUNC(fb_get_options, "", "");
KSYMTAB_FUNC(fb_io_read, "", "");
KSYMTAB_FUNC(fb_io_write, "", "");
KSYMTAB_FUNC(fb_firmware_edid, "", "");
KSYMTAB_FUNC(fb_parse_edid, "", "");
KSYMTAB_FUNC(fb_edid_to_monspecs, "", "");
KSYMTAB_FUNC(fb_get_mode, "", "");
KSYMTAB_FUNC(fb_validate_mode, "", "");
KSYMTAB_FUNC(fb_destroy_modedb, "", "");
KSYMTAB_FUNC(fb_deferred_io_fsync, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_mmap, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_init, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_open, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_release, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_cleanup, "_gpl", "");
KSYMTAB_FUNC(fbcon_update_vcs, "", "");
KSYMTAB_FUNC(fbcon_modechange_possible, "_gpl", "");

SYMBOL_CRC(framebuffer_alloc, 0xc37442d5, "");
SYMBOL_CRC(framebuffer_release, 0x3592d783, "");
SYMBOL_CRC(fb_get_color_depth, 0x6513a3fa, "");
SYMBOL_CRC(fb_pad_aligned_buffer, 0x61ea189b, "");
SYMBOL_CRC(fb_pad_unaligned_buffer, 0x42f1b900, "");
SYMBOL_CRC(fb_get_buffer_offset, 0x03f6cd48, "");
SYMBOL_CRC(fb_prepare_logo, 0x0406f473, "");
SYMBOL_CRC(fb_show_logo, 0xaec90bf1, "");
SYMBOL_CRC(fb_pan_display, 0x430f5dec, "");
SYMBOL_CRC(fb_set_var, 0x3e4a52ec, "");
SYMBOL_CRC(fb_blank, 0xe2271176, "");
SYMBOL_CRC(register_framebuffer, 0xaf144f2e, "");
SYMBOL_CRC(unregister_framebuffer, 0xab36c576, "");
SYMBOL_CRC(fb_set_suspend, 0x35a74306, "");
SYMBOL_CRC(fb_modesetting_disabled, 0xae1d2c5e, "");
SYMBOL_CRC(fb_alloc_cmap, 0x07a890c8, "");
SYMBOL_CRC(fb_dealloc_cmap, 0x098b71c6, "");
SYMBOL_CRC(fb_copy_cmap, 0x1dd571e6, "");
SYMBOL_CRC(fb_set_cmap, 0x0685322e, "");
SYMBOL_CRC(fb_default_cmap, 0xff6878cf, "");
SYMBOL_CRC(fb_invert_cmaps, 0xf195c682, "");
SYMBOL_CRC(vesa_modes, 0xdffc80fc, "");
SYMBOL_CRC(dmt_modes, 0x09769037, "");
SYMBOL_CRC(fb_destroy_modelist, 0xc9561772, "_gpl");
SYMBOL_CRC(fb_find_best_display, 0xfdcc8a0e, "");
SYMBOL_CRC(fb_videomode_to_var, 0x12f6f69c, "");
SYMBOL_CRC(fb_var_to_videomode, 0x96c17136, "");
SYMBOL_CRC(fb_mode_is_equal, 0xd406d266, "");
SYMBOL_CRC(fb_add_videomode, 0xee58e970, "");
SYMBOL_CRC(fb_match_mode, 0xdef7c893, "");
SYMBOL_CRC(fb_find_best_mode, 0xce4cdb8e, "");
SYMBOL_CRC(fb_find_nearest_mode, 0x20d65e40, "");
SYMBOL_CRC(fb_videomode_to_modelist, 0x50a4698c, "");
SYMBOL_CRC(fb_find_mode, 0x48814233, "");
SYMBOL_CRC(fb_find_mode_cvt, 0xf93fd09c, "");
SYMBOL_CRC(fb_get_options, 0xab781570, "");
SYMBOL_CRC(fb_io_read, 0xe7d4633f, "");
SYMBOL_CRC(fb_io_write, 0x0ca3e276, "");
SYMBOL_CRC(fb_firmware_edid, 0xcef15e07, "");
SYMBOL_CRC(fb_parse_edid, 0x4351577a, "");
SYMBOL_CRC(fb_edid_to_monspecs, 0x0397edd5, "");
SYMBOL_CRC(fb_get_mode, 0x14b4a75f, "");
SYMBOL_CRC(fb_validate_mode, 0xc3ae2de3, "");
SYMBOL_CRC(fb_destroy_modedb, 0xc07b0863, "");
SYMBOL_CRC(fb_deferred_io_fsync, 0x288f3f87, "_gpl");
SYMBOL_CRC(fb_deferred_io_mmap, 0xc59e5515, "_gpl");
SYMBOL_CRC(fb_deferred_io_init, 0xbc186bfa, "_gpl");
SYMBOL_CRC(fb_deferred_io_open, 0xc52c5737, "_gpl");
SYMBOL_CRC(fb_deferred_io_release, 0x139d2f38, "_gpl");
SYMBOL_CRC(fb_deferred_io_cleanup, 0x88409c06, "_gpl");
SYMBOL_CRC(fbcon_update_vcs, 0x52fd0fd6, "");
SYMBOL_CRC(fbcon_modechange_possible, 0xac87f696, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5c78a99, "do_blank_screen" },
	{ 0xb423dba1, "console_blanked" },
	{ 0xea7daa08, "__video_get_options" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9453e733, "con_set_default_unimap" },
	{ 0x621db1fd, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf54bf0d0, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6b668e27, "vmalloc_to_page" },
	{ 0x98de1c15, "snprintf" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x600683d3, "do_unblank_screen" },
	{ 0xe42265e6, "vm_iomap_memory" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x53d5abd6, "class_destroy" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x438ce57f, "update_region" },
	{ 0x8112b670, "noop_dirty_folio" },
	{ 0x4e6e8ea7, "fg_console" },
	{ 0x236c8c64, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x944a564d, "is_console_locked" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x78844c42, "con_copy_unimap" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x73ec33ba, "do_take_over_console" },
	{ 0x122c3a7e, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x2592fc6c, "console_printk" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x64f25bb2, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xb26c7042, "file_write_and_wait_range" },
	{ 0x969d717f, "device_create_file" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb738c8b9, "con_is_bound" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x72076593, "unlock_page" },
	{ 0xbef43296, "console_conditional_schedule" },
	{ 0x7389706a, "__memset16" },
	{ 0x7b7cafad, "device_create" },
	{ 0x6b71ed6c, "class_create" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x9ec53deb, "file_update_time" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x863a276a, "color_table" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0xb6cb19ba, "folio_mkclean" },
	{ 0x2d4daef5, "find_font" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xd8b61304, "get_default_font" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x3ec35f10, "default_llseek" },
	{ 0x97394f9e, "_dev_warn" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x362e212e, "redraw_screen" },
	{ 0xc631580a, "console_unlock" },
	{ 0x8b0a162b, "proc_remove" },
	{ 0x280b2640, "vc_cons" },
	{ 0x9fce80db, "fb_notifier_call_chain" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x322952ad, "param_ops_bool" },
	{ 0x4e369f47, "con_is_visible" },
	{ 0x589b8025, "__register_chrdev" },
	{ 0x502e257b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2394b85a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2112cbea, "__folio_lock" },
	{ 0x5704bfca, "do_unregister_con_driver" },
	{ 0x98e508ef, "ignore_console_lock_warning" },
	{ 0x2b3ef39b, "vc_resize" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb1cbd1ec, "proc_create_seq_private" },
	{ 0x870b9f65, "do_unbind_con_driver" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x62fcf607, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "font");


MODULE_INFO(srcversion, "34B98D92C151D4923F29212");
MODULE_INFO(rhelversion, "9.99");
