#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x080129bf, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xc88e9b4e, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xeafa2dc9, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x31411136, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x094da459, "_gpl");
SYMBOL_CRC(br_forward, 0x99ccbc11, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x43b3a6f6, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x177342f4, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x5d0a67a6, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x43111439, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x8c7e044a, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x0d361b61, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xa7f15d23, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x11caebfd, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x97fecf7e, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x70a224df, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x98f92da9, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x643f9d33, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x1d794048, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x371d8c72, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x91985b2f, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x47ba4489, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xc44c82f6, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x497f4ba4, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x3ece3e53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee2497e7, "netdev_lower_get_next" },
	{ 0x603db4c3, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xef13b819, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xa1994103, "skb_copy_bits" },
	{ 0x12db0222, "__nlmsg_put" },
	{ 0xec9a3601, "switchdev_port_attr_set" },
	{ 0xcfcf14f6, "ipv6_mc_check_mld" },
	{ 0xe345cd4a, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xd5600c89, "call_switchdev_notifiers" },
	{ 0x4b03c92c, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xea7c173d, "netdev_update_features" },
	{ 0x77eb7a1f, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xa2f68ee2, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc7abcb0f, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x8344197d, "__traceiter_br_fdb_update" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8a17af2f, "dev_uc_del" },
	{ 0x99b51bf2, "netpoll_send_skb" },
	{ 0x13e6bf19, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xbb77f615, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x236c8c64, "memcpy" },
	{ 0xbb3f3255, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x94637d39, "dev_set_promiscuity" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3a9edfab, "unregister_netdevice_queue" },
	{ 0xe276215e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe7d9e31a, "netdev_state_change" },
	{ 0xc392fa46, "__dev_get_by_name" },
	{ 0xbd7eb973, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x11a5bac2, "netdev_err" },
	{ 0xbef01a9f, "pskb_expand_head" },
	{ 0x15588699, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xd73d1cc2, "brioctl_set" },
	{ 0x98089e39, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x7b63be7b, "arp_xmit" },
	{ 0x3ab83dd8, "__traceiter_br_mdb_full" },
	{ 0x7a32914c, "alloc_netdev_mqs" },
	{ 0x4d203640, "passthru_features_check" },
	{ 0x28378917, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2001dff1, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7b950e7d, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xaa04751b, "__alloc_skb" },
	{ 0x31560699, "kmem_cache_alloc" },
	{ 0x464e5c00, "rtnl_set_sk_err" },
	{ 0xd1b5572, "skb_vlan_pop" },
	{ 0xbfcccb48, "sysfs_create_link" },
	{ 0x800473f, "__cond_resched" },
	{ 0x5ff42994, "ipv6_dev_get_saddr" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x27a81f84, "nla_reserve_64bit" },
	{ 0x9223601a, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x4a2b33d, "__dev_get_by_index" },
	{ 0x9f5fed08, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x6cdf7439, "dev_get_port_parent_id" },
	{ 0xb84835ae, "init_net" },
	{ 0xfb7d72fc, "ipv6_stub" },
	{ 0x4c04c454, "inet_confirm_addr" },
	{ 0xe4e323b2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9bccc134, "sysfs_remove_link" },
	{ 0x5c85f2c9, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe53941f3, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x810467b2, "arp_send" },
	{ 0x3e746880, "dev_get_by_index_rcu" },
	{ 0x9936da14, "kfree_skb_reason" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0xa375c891, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0xbb642bbb, "skb_push" },
	{ 0x3d7903b9, "kmem_cache_free" },
	{ 0xba7d5df3, "ndo_dflt_fdb_dump" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd5965fcb, "netdev_upper_dev_unlink" },
	{ 0x8bd8c256, "netif_receive_skb" },
	{ 0x7965889, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8887a7c8, "llc_mac_hdr_init" },
	{ 0xc18c3bec, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x24094d26, "kobject_init_and_add" },
	{ 0x5724fb8a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9241eae, "ns_capable" },
	{ 0x93f9d381, "inet_select_addr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xa6e7260, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x28ff9423, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xfb3f8966, "arp_create" },
	{ 0x4569f89d, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x16c43f86, "stp_proto_register" },
	{ 0x69533181, "rtnl_register_module" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0x37c385ce, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x67887e53, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x99f193a9, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3cf182ff, "__pskb_pull_tail" },
	{ 0x253e1fe6, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb41cbf74, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8e9e4b54, "ip_mc_check_igmp" },
	{ 0xc4fd644b, "__netdev_alloc_skb" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x50c35da9, "switchdev_port_obj_del" },
	{ 0x432f106a, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x4ddfe4a0, "kobject_create_and_add" },
	{ 0x1b59461b, "skb_trim" },
	{ 0x2cf52fb5, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x55ac0a30, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x8a223900, "__ip_mc_inc_group" },
	{ 0x34593d57, "netdev_walk_all_upper_dev_rcu" },
	{ 0x4f6b6ce7, "sysfs_remove_group" },
	{ 0xea1840eb, "__traceiter_br_fdb_external_learn_add" },
	{ 0xc751c1d, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xabec8e8b, "__netpoll_setup" },
	{ 0x46f721ca, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x223cef29, "vlan_vid_add" },
	{ 0x7ccbf40, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x37dbd7ec, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6e6b2bf1, "call_netdevice_notifiers" },
	{ 0x3114ddca, "is_skb_forwardable" },
	{ 0x5658412d, "vlan_vid_del" },
	{ 0x3f40b339, "dev_set_allmulti" },
	{ 0xef1e407f, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x153539bd, "netdev_master_upper_dev_get" },
	{ 0x7f96e88b, "ipv6_dev_mc_inc" },
	{ 0x5dcf548a, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x487b6835, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf2206a00, "__vlan_find_dev_deep_rcu" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6c03f385, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd9d74763, "skb_clone" },
	{ 0x728495f8, "metadata_dst_alloc" },
	{ 0x7f19bc53, "dst_release" },
	{ 0x6112f28, "netif_carrier_on" },
	{ 0xd46064d1, "kobject_uevent" },
	{ 0x1c47831c, "arp_tbl" },
	{ 0xf9d6dd64, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1a0ba7e, "netdev_rx_handler_register" },
	{ 0x309600f7, "dev_uc_add" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5c496e86, "netif_set_tso_max_size" },
	{ 0x7845dfe5, "dev_disable_lro" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0xe71d8c21, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbdc40720, "dev_get_flags" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x9087df11, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x848ba308, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb00e5e78, "nf_queue" },
	{ 0x4f767cc8, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x4af17018, "skb_ext_add" },
	{ 0xbf87067, "sysfs_remove_bin_file" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xaa8a972f, "stp_proto_unregister" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x19583aa3, "neigh_lookup" },
	{ 0x58896ea1, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x538e6a13, "kobject_put" },
	{ 0xc251dd98, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "6F24C27DF076DC81756A22C");
MODULE_INFO(rhelversion, "9.99");
