#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xa435ac84, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xd46eac97, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x8e6b8e41, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x52b172cd, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x5e0d90e6, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x7cdbbc86, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bbb0145, "nf_ct_ext_add" },
	{ 0xb0b6920b, "__skb_get_hash_symmetric" },
	{ 0xb0ef3260, "nsh_pop" },
	{ 0x82e1a8b3, "nf_conntrack_find_get" },
	{ 0x66d1ac7c, "nf_ct_set_timeout" },
	{ 0x71a353ff, "dev_get_stats" },
	{ 0x2b96ad05, "__nla_put" },
	{ 0x621db1fd, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbfba4d06, "dev_fill_metadata_dst" },
	{ 0xceec3109, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xa1994103, "skb_copy_bits" },
	{ 0x66783318, "nf_ct_handle_fragments" },
	{ 0xd9be4f0b, "eth_mac_addr" },
	{ 0xe345cd4a, "skb_put" },
	{ 0x8d009eab, "genl_notify" },
	{ 0x46fe918a, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x77eb7a1f, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xec991ddf, "nf_ct_nat" },
	{ 0x4122fac9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe3cdadc6, "skb_eth_pop" },
	{ 0x7b56253a, "trace_raw_output_prep" },
	{ 0xdbd5f172, "skb_gso_validate_mac_len" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xaa9c3d11, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x40ff6c9b, "nf_ct_helper" },
	{ 0x8de7c8a4, "__trace_trigger_soft_disabled" },
	{ 0x1e67aec0, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5455ef03, "trace_event_printf" },
	{ 0x24f08e87, "rtnl_delete_link" },
	{ 0x13e6bf19, "rtnl_link_register" },
	{ 0x4bb937e6, "nf_connlabels_put" },
	{ 0x39eddd2, "genlmsg_put" },
	{ 0x6c6273c3, "___pskb_trim" },
	{ 0xb8b257e8, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x94637d39, "dev_set_promiscuity" },
	{ 0x971d7722, "nf_ct_destroy_timeout" },
	{ 0x756e0ba, "nf_ct_add_helper" },
	{ 0x6b03fb52, "nf_conntrack_helper_put" },
	{ 0x995866af, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x51edfef3, "nf_ct_skb_network_trim" },
	{ 0x3a9edfab, "unregister_netdevice_queue" },
	{ 0xe276215e, "kmem_cache_create" },
	{ 0x50206c0f, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0xbd7eb973, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbef01a9f, "pskb_expand_head" },
	{ 0xb27ffcac, "skb_csum_hwoffload_help" },
	{ 0x6fd33ae8, "trace_event_buffer_commit" },
	{ 0x98089e39, "dev_addr_mod" },
	{ 0xf2d74f05, "nf_connlabels_replace" },
	{ 0x2e7c5fbb, "eth_type_trans" },
	{ 0x7a32914c, "alloc_netdev_mqs" },
	{ 0x28378917, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x7054ecdb, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x2001dff1, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2f9a3989, "netlink_broadcast" },
	{ 0x5e7cc385, "skb_eth_push" },
	{ 0x6d854b19, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xaa04751b, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x31560699, "kmem_cache_alloc" },
	{ 0xd606da96, "skb_mpls_pop" },
	{ 0xd1b5572, "skb_vlan_pop" },
	{ 0xf73c6c83, "dst_init" },
	{ 0x64f25bb2, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa0d3d560, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x9f5fed08, "rtnl_link_unregister" },
	{ 0x178a925c, "perf_trace_run_bpf_submit" },
	{ 0x723529b, "__skb_get_hash" },
	{ 0xb84835ae, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0xfb7d72fc, "ipv6_stub" },
	{ 0xf6b59537, "skb_mpls_update_lse" },
	{ 0xe4e323b2, "skb_pull" },
	{ 0x4dea1053, "memchr" },
	{ 0x4c1601ac, "netlink_unicast" },
	{ 0x68106ddf, "bpf_trace_run5" },
	{ 0x3e746880, "dev_get_by_index_rcu" },
	{ 0x9936da14, "kfree_skb_reason" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbb642bbb, "skb_push" },
	{ 0x3d7903b9, "kmem_cache_free" },
	{ 0xd5965fcb, "netdev_upper_dev_unlink" },
	{ 0x7965889, "nla_put" },
	{ 0x85adf0d8, "trace_event_reg" },
	{ 0x7bb633dd, "skb_ensure_writable" },
	{ 0xc18c3bec, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5724fb8a, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf3bed13a, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x28ff9423, "ethtool_op_get_link" },
	{ 0xd6a3ffba, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xa60a993e, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3cf182ff, "__pskb_pull_tail" },
	{ 0x266b85bf, "nf_ct_delete" },
	{ 0x8c7b77a, "nf_conncount_init" },
	{ 0xae4c4487, "skb_vlan_push" },
	{ 0x253e1fe6, "dev_get_tstats64" },
	{ 0xb41cbf74, "netif_rx" },
	{ 0xc4fd644b, "__netdev_alloc_skb" },
	{ 0x432f106a, "netdev_master_upper_dev_link" },
	{ 0x9f5692cb, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x5a7bc81f, "inet_proto_csum_replace16" },
	{ 0x1b59461b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xeb2077a9, "skb_scrub_packet" },
	{ 0xdc4cd9c1, "nf_ct_deliver_cached_events" },
	{ 0xb4ae2c20, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x686b0dc9, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x46f721ca, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4c713139, "trace_event_buffer_reserve" },
	{ 0x7fc70c1f, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbb95773d, "inet_proto_csum_replace4" },
	{ 0x14074f25, "nf_conncount_destroy" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xeb12d3a7, "skb_zerocopy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x153539bd, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x74dd445e, "dev_get_by_name" },
	{ 0xd9d74763, "skb_clone" },
	{ 0x728495f8, "metadata_dst_alloc" },
	{ 0x7f19bc53, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9a1e07dd, "peernet2id_alloc" },
	{ 0x634649bd, "nf_ct_get_tuplepr" },
	{ 0x1a0ba7e, "netdev_rx_handler_register" },
	{ 0x27e8e823, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xef2b28aa, "genl_unregister_family" },
	{ 0x7845dfe5, "dev_disable_lro" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x9087df11, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf1b4c169, "genl_register_family" },
	{ 0x577f3555, "nf_ct_tmpl_free" },
	{ 0x35145a45, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xaf165028, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0xd8fbd1f0, "skb_mpls_push" },
	{ 0x816e29f0, "register_pernet_device" },
	{ 0x861cb8b9, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0xd786aee9, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x58896ea1, "kmem_cache_destroy" },
	{ 0xd861e82f, "__skb_vlan_pop" },
	{ 0x8f791272, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc251dd98, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,nf_conncount");


MODULE_INFO(srcversion, "16BE780C4330CE1D1345A31");
MODULE_INFO(rhelversion, "9.99");
