#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xbd7c886b, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x1a6be3b6, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x2a6cfbc6, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x234567c9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xe27fc784, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x2f73ed48, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xc8fcba51, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xd38bb3a0, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x8d89d10f, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xc0e1975b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x88b68bbd, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x3371b34f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xec2a122d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xd6dbf8c9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xbee0a481, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xf79c87b9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x1f2cc2c5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x6bc318c7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x170b381a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xcf0cd959, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x9ffbb13b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x2ca661d4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xca288394, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x038f2d92, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x7298f4db, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xc64e6387, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x1bc08948, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x0ac1c43a, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xaa2d5611, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xbab31b9a, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x90c4225c, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xb81d6731, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x60a46e1c, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x0876975a, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xfb8bd6f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3256307f, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc16f4947, "_copy_to_iter" },
	{ 0x27a0115e, "vsock_insert_connected" },
	{ 0xe345cd4a, "skb_put" },
	{ 0x77eb7a1f, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7b56253a, "trace_raw_output_prep" },
	{ 0x8de7c8a4, "__trace_trigger_soft_disabled" },
	{ 0x96b83725, "vsock_remove_sock" },
	{ 0x5455ef03, "trace_event_printf" },
	{ 0x389647d1, "vsock_deliver_tap" },
	{ 0xb8b257e8, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x42c419c, "bpf_trace_run8" },
	{ 0x8002e3b9, "sk_error_report" },
	{ 0x6fd33ae8, "trace_event_buffer_commit" },
	{ 0xf66fbe2d, "vsock_find_bound_socket" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xaa04751b, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x178a925c, "perf_trace_run_bpf_submit" },
	{ 0xe4e323b2, "skb_pull" },
	{ 0xa8a33c81, "sk_free" },
	{ 0x9936da14, "kfree_skb_reason" },
	{ 0x85adf0d8, "trace_event_reg" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd708b93a, "__skb_recv_datagram" },
	{ 0xdc644d18, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5f2d0ba9, "vsock_stream_has_data" },
	{ 0xd6db9d01, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x83745bdf, "sock_efree" },
	{ 0x15c58104, "bpf_trace_run10" },
	{ 0x71d0990c, "vsock_core_get_transport" },
	{ 0x6ef77897, "vsock_stream_has_space" },
	{ 0x4c713139, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb21c3b18, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x8f645713, "vsock_create_connected" },
	{ 0x7bb27546, "vsock_assign_transport" },
	{ 0xc7a88764, "iov_iter_revert" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0xc14466fe, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2ff4a675, "vsock_data_ready" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "993DAFB7AA4DF426E8A46ED");
MODULE_INFO(rhelversion, "9.99");
