#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x8791f76b, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x76d06a8a, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x3fc4ad2f, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0xa4abf294, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x7b582d3b, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xb63ea8fc, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x0c670b70, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xc82f35e4, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x5e749099, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x7b00b7fd, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x24105171, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xab6c8003, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xd099ed8e, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xd7b0d9d0, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x04e43bab, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x5fcdfbc0, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x8f8a7ef6, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xb4394d89, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x324572a8, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x68d8dce7, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xdc08d0a1, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x5225d186, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xe8b81cdd, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x6b53e216, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x63a477fb, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0x23961837, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x1536fb52, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x11ba7a4a, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xb3d33f97, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xa058d398, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x5fee2b4d, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xf3db71ef, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xd2572977, "");
SYMBOL_CRC(drm_dp_aux_init, 0x925dac21, "");
SYMBOL_CRC(drm_dp_aux_register, 0xe735ae2c, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xc41a036d, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xa4449281, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x22202e30, "");
SYMBOL_CRC(drm_dp_read_desc, 0x41368e41, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x77579a07, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xe413901b, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x3d4bbe16, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xd6594bec, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x373599a4, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x7b2caef5, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x5420f5f6, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xf97ecd33, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x0817633a, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x6e0fee17, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x9831051b, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x947ffc71, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x07345413, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x5a630cb2, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x500790cf, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x753f4233, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x57ca2cf1, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xf9d81a87, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x461c110e, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x70717c28, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0xc3a148fa, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xf974739d, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0xb283775e, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0x587d0f27, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0x59f82ea0, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x73d68937, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x5cdd0946, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x3e7d2f9c, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xed4c99c8, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x4a5a11bc, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x1e45ba94, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x676ccb41, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x1d315494, "");
SYMBOL_CRC(drm_dp_remove_payload, 0x3dda5117, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x38a31d0b, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x1e0131ce, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x445ac538, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x5dde3d15, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x8e118129, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x6093649a, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xfc500e30, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xa9112ca2, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x8acdc99d, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x979fb1c7, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x09bc7e69, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xccf3849c, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0xbea01a4c, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xf00738fb, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xe81ca6d3, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xf90c7c58, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xb70dfb14, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x4180a7c3, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0x8ca2d9e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xd20dd20d, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x01f54656, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xfc1c60a6, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xba22757d, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x16b5d22c, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xac93efcd, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x0ccea325, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xf0ea7a7c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x3ff1d60c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x34844f1b, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x8a21bd41, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x4b4196b1, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0xd8e051e6, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x9c553cf0, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xddb948f7, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xf82f7c64, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52807719, "drm_crtc_add_crc_entry" },
	{ 0x800a170a, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc16f4947, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0xe6d258a, "drm_connector_register" },
	{ 0x769cd9e0, "cec_transmit_attempt_done_ts" },
	{ 0x465bb48d, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0xcf468b04, "drm_atomic_get_private_obj_state" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8dce6d6d, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x53d5abd6, "class_destroy" },
	{ 0x2f9535bf, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xe67d9021, "cec_s_conn_info" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4f0b5b0d, "cec_s_phys_addr_from_edid" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa9718e94, "drm_connector_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4923c0de, "drm_mode_object_put" },
	{ 0xfdfe58fa, "dev_driver_string" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xf3576efb, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6ec63bb4, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xfd3c9746, "drm_dev_printk" },
	{ 0x8d1ba36, "i2c_del_adapter" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x3c7a4a44, "drm_atomic_get_crtc_state" },
	{ 0x1f3acd30, "drm_crtc_wait_one_vblank" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xbf826e6f, "drm_modeset_lock" },
	{ 0x4aad76d3, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9622d564, "_dev_err" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x7b7cafad, "device_create" },
	{ 0x6b71ed6c, "class_create" },
	{ 0x3ac0056c, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa314b43a, "fixed_size_llseek" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x8ff90ba1, "drm_crtc_commit_wait" },
	{ 0x2e362c9d, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9bd65478, "cec_unregister_adapter" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xaf476e8a, "drm_atomic_get_old_private_obj_state" },
	{ 0x721ad6b8, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x97394f9e, "_dev_warn" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x15b5a228, "i2c_add_adapter" },
	{ 0xe798236d, "jiffies" },
	{ 0xeb35ffe1, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x723629d2, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x57291492, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x589b8025, "__register_chrdev" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x502e257b, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2394b85a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb21c3b18, "_copy_from_iter" },
	{ 0xe0f430fd, "i2c_transfer" },
	{ 0x53d104f7, "drm_display_mode_from_cea_vic" },
	{ 0x6cefae3a, "seq_puts" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x9a81813c, "cec_fill_conn_info_from_drm" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x30e604b7, "cec_received_msg_ts" },
	{ 0xfecb153d, "param_ops_int" },
	{ 0xe70f0d81, "_dev_printk" },
	{ 0xc7a88764, "iov_iter_revert" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x62d092a2, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0xdc8c5699, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5b24f94f, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper,i2c-core");


MODULE_INFO(srcversion, "D89882CAF447D9C3C6965DA");
MODULE_INFO(rhelversion, "9.99");
