#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_encoder_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_allocate_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_plane_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_from_ddc, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x9456e37a, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_encoder_state, 0x0bcd1c59, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xea728946, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x626aa235, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xec67f370, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x8c1265c8, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xc030f691, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x54af7f45, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x109006f4, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x5aeb08b1, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x20b8b406, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xcbb31d3a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x7e1238f2, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xa28fc816, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x974c199b, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x033bb05a, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x2ec2b54b, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x4904791c, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xca7eb501, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x8cfe52ed, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xbab37220, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xd2bea185, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xe065af92, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xf71c0fbd, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xd4a0fdb6, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x806353bf, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xe8d11b8c, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xef6d70fc, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xbd870e77, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x78db93eb, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x34e4e8c5, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x9f99a941, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xefa73872, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x6914550c, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xac153ceb, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x97615ac7, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xc6ad0df7, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x4d89d855, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x6deecab3, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x0f3039ea, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xde1c75c1, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xd8c9860d, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x45b64cff, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xe2c8171a, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xff2a13a6, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x6feb7a1b, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x2cce1bc8, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x2fb305f0, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x42d71bef, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x5ee63614, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x6bcb51ef, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x5c70841b, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xb7d7debb, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xafa5b725, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xe2868ed3, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xedd5aa70, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x0c17de1c, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x3255281e, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xc3e28075, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xe3a7e011, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x57d862da, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xa35b95d3, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x8480748d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xdff1e510, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xd222d266, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xf3576efb, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x5cfea21c, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x0ca539e2, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x27d750ec, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xab970831, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xd902abb3, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x4ba6c4e8, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xed79d5fe, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x27a614d0, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x64804724, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x971f6361, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xddb77623, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x1326dd06, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xf2aab21a, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x4713506a, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x2acf3fe6, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x98bc67aa, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x6f9d3c43, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x1975992e, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xced7d649, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x87dc0249, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x22be82ef, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x5fb65fd1, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xf7e025cb, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xd1f6092a, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x332dc2fd, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x05a93e50, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x8033e2f8, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x2036a624, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x58bd3116, "");
SYMBOL_CRC(drm_flip_work_allocate_task, 0xcf11a549, "");
SYMBOL_CRC(drm_flip_work_queue_task, 0x25ce17ce, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x342979ab, "");
SYMBOL_CRC(drm_fb_swab, 0x61bb6388, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x8eda03e8, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x701f611b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xbbd4a95a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xaf770a1b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xb9553995, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xdac11a24, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x803ea934, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xf2c52f2d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x4968d5b6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xf650b145, "");
SYMBOL_CRC(drm_fb_blit, 0x832796a0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xf7477d5d, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x638266cc, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xccf34b8b, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x06be68b3, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x26ae6da0, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x324a699e, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x5b8d0d19, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x56658541, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xab39f6b5, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xfc82e9dc, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0xe588c769, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x5f1941b4, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xdf3b6292, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x102c6bfb, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x1153714b, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xe08847d8, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x30a98408, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x121cc696, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x19bab778, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xe7f3aaae, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x2a0fcc1a, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x0af54508, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xadea1005, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x2f7a0a75, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x6092864c, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x1bc582b9, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x4aed65b9, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x57608dc3, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x73e3f4b5, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x933d227d, "");
SYMBOL_CRC(drm_crtc_init, 0x22d46399, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x0406fb19, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xf62dc217, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x0fcd4248, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x8d196377, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x75ba2986, "");
SYMBOL_CRC(drm_plane_helper_atomic_check, 0x2b747e84, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xa8adee8f, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xbe696a29, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x311fc038, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x554dcc90, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x57291492, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x51649809, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x86b40055, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xf329e823, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xf879d66c, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x8e525d1a, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x62eea47c, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x67548121, "");
SYMBOL_CRC(drm_connector_helper_get_modes_from_ddc, 0x46b6b4e4, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xf97fd96b, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x8e988130, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x0c6669b9, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x1efd272a, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xa033ed7b, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xe1152c25, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x4e412803, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xb4b80e4a, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x5a7cc03d, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x6a357de1, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xd0a362a9, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x3f0fa9d6, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xf15cd336, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x2e9a718a, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x13d15c09, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x5dc4528d, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x9b86370a, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x7e5eeb21, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x94720cb1, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x53eefeb4, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0xe0795960, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xa9531417, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xfbfe682d, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x214e8e51, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x284e58bb, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xe0c355de, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x9b045dd9, "");
SYMBOL_CRC(drm_fb_helper_init, 0x4bea1c1e, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x42da9a2b, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xf5f2fdb3, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x1d3e9595, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x61c24976, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x6141f9a6, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x6341199e, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x66767fe0, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x0bc2aa6a, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x72725d6e, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x41f8c391, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x7abb9c12, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x220dd42a, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xd07c1ea5, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x175bbb20, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xd18272dd, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xce4c901a, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xd8fecf61, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x5a4f2b61, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x9bc23de3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab36c576, "unregister_framebuffer" },
	{ 0xd7f8cd71, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x695821da, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x8798b130, "drm_client_register" },
	{ 0xf8b001e, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xb77d8464, "drm_panel_get_modes" },
	{ 0x8d38d197, "drm_gem_vmap_unlocked" },
	{ 0x621db1fd, "try_module_get" },
	{ 0xf54bf0d0, "vmemmap" },
	{ 0x4530b388, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4ccf9666, "drm_bridge_add" },
	{ 0xb7c92399, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0xe6d258a, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xf37f0391, "devm_kmalloc" },
	{ 0x82d8962d, "drm_client_rotation" },
	{ 0x5ca69480, "drm_client_buffer_vmap" },
	{ 0x458af772, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3c436544, "drm_framebuffer_init" },
	{ 0xf9419831, "drm_mode_validate_driver" },
	{ 0x6b668e27, "vmalloc_to_page" },
	{ 0xe4307cd6, "drm_atomic_add_affected_planes" },
	{ 0x878df607, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xbd73e060, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeeb2fd65, "drm_mode_probed_add" },
	{ 0xe0e6cc41, "drm_atomic_add_affected_connectors" },
	{ 0x391b70d5, "drm_gem_vunmap_unlocked" },
	{ 0x8a0a4f67, "drm_bridge_hpd_enable" },
	{ 0xfbb5e5ee, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5e4cf434, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1f0d9733, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x1c06478, "drm_client_framebuffer_create" },
	{ 0xa13733c, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x4dcb0428, "drm_mode_object_get" },
	{ 0x52e30255, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x25e01e00, "drm_driver_legacy_fb_format" },
	{ 0x115adf47, "drm_crtc_cleanup" },
	{ 0xc7d4a494, "drm_connector_list_iter_begin" },
	{ 0xbc186bfa, "fb_deferred_io_init" },
	{ 0x9e954504, "drm_mode_set_config_internal" },
	{ 0x88409c06, "fb_deferred_io_cleanup" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xc37442d5, "framebuffer_alloc" },
	{ 0x35b630e2, "drm_encoder_cleanup" },
	{ 0xa9718e94, "drm_connector_unregister" },
	{ 0x8b498c87, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x8740e516, "drm_client_modeset_probe" },
	{ 0x4261ba4e, "drm_warn_on_modeset_not_all_locked" },
	{ 0x2144f535, "drm_plane_get_damage_clips" },
	{ 0x11ddcd41, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0xd1986659, "drm_add_modes_noedid" },
	{ 0xb3bca561, "drm_bridge_remove" },
	{ 0x4923c0de, "drm_mode_object_put" },
	{ 0xfdfe58fa, "dev_driver_string" },
	{ 0xa2fb2605, "drm_crtc_vblank_get" },
	{ 0x4ffd6684, "drm_gem_object_lookup" },
	{ 0xd7b8348f, "drm_crtc_send_vblank_event" },
	{ 0x9037b28f, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x9896bc18, "fb_sys_write" },
	{ 0x7854aca2, "drm_atomic_normalize_zpos" },
	{ 0x6ce83b23, "drm_edid_connector_update" },
	{ 0x622e0f4e, "drm_sysfs_hotplug_event" },
	{ 0xc6164491, "drm_bridge_hpd_disable" },
	{ 0x5d3a438d, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf4eca1f3, "__drmm_add_action_or_reset" },
	{ 0xcea45c22, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x52fc86c8, "sys_fillrect" },
	{ 0x19a872e6, "drm_connector_list_iter_end" },
	{ 0xd213ca4d, "drm_atomic_set_crtc_for_plane" },
	{ 0x3c03dbae, "drm_client_modeset_dpms" },
	{ 0x841e591f, "drm_mode_prune_invalid" },
	{ 0x885a721f, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcf924ea6, "_dev_info" },
	{ 0x7a894285, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x5e22eab8, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x64f25bb2, "module_put" },
	{ 0xb63dab5a, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x3c7a4a44, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xf34926cd, "drm_client_init" },
	{ 0x1f3acd30, "drm_crtc_wait_one_vblank" },
	{ 0x876cd3fd, "drm_crtc_next_vblank_start" },
	{ 0x8ae3be49, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xbf826e6f, "drm_modeset_lock" },
	{ 0xf4669bac, "drm_client_modeset_commit_locked" },
	{ 0x4aad76d3, "drm_modeset_unlock" },
	{ 0xa911652d, "drm_panel_disable" },
	{ 0x3a5b3a37, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3e9fcb3f, "drm_connector_init" },
	{ 0xb37d31b0, "devm_kfree" },
	{ 0x9622d564, "_dev_err" },
	{ 0xed915cda, "drm_writeback_cleanup_job" },
	{ 0x68814394, "drm_modeset_lock_all_ctx" },
	{ 0xba87d262, "i2c_unregister_device" },
	{ 0xf0c80891, "drm_atomic_set_fb_for_plane" },
	{ 0x28555a82, "__drm_universal_plane_alloc" },
	{ 0x61aa8f21, "drm_connector_init_with_ddc" },
	{ 0xd1d8c754, "drm_add_edid_modes" },
	{ 0xab669c5, "drm_edid_connector_add_modes" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5328f0fa, "__devres_alloc_node" },
	{ 0x43f67968, "drm_edid_read" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x8ff90ba1, "drm_crtc_commit_wait" },
	{ 0xca0347d5, "drm_dev_has_vblank" },
	{ 0xaf144f2e, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x9db5b101, "__drm_atomic_helper_disable_plane" },
	{ 0xd98966f0, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc77852cc, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x54caeb6f, "drm_atomic_set_crtc_for_connector" },
	{ 0x8e03f787, "drm_analog_tv_mode" },
	{ 0x658e9979, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x2c870a5b, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x1d3126b, "drm_crtc_vblank_put" },
	{ 0x2e2dcdb7, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x721ad6b8, "__drm_dev_dbg" },
	{ 0xa17b71d4, "drm_plane_get_damage_clips_count" },
	{ 0x10b6ee7, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xc59e5515, "fb_deferred_io_mmap" },
	{ 0xefabaf9e, "drm_atomic_state_alloc" },
	{ 0x19bd2ee2, "drm_client_modeset_commit" },
	{ 0x97394f9e, "_dev_warn" },
	{ 0xca01b9d8, "drm_atomic_bridge_chain_post_disable" },
	{ 0x6a8ba1a8, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x35a74306, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0xddaa6563, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x3123f81c, "drm_client_release" },
	{ 0x8d72789e, "drm_edid_is_valid" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xb1645667, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xc147295f, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x22262538, "drm_get_format_info" },
	{ 0x9bb1cc84, "drm_connector_cleanup" },
	{ 0x2651c171, "drm_universal_plane_init" },
	{ 0xda50c1c0, "drm_any_plane_has_format" },
	{ 0xfb5aaba5, "sys_copyarea" },
	{ 0xe044c39d, "drm_connector_list_iter_next" },
	{ 0x6b6c9746, "drm_modeset_acquire_fini" },
	{ 0xa0bb184d, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0xc37f9a0, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x322952ad, "param_ops_bool" },
	{ 0xa87e3aef, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x44a01d83, "drm_modeset_backoff" },
	{ 0xddab25d3, "drm_panel_prepare" },
	{ 0x741ef593, "drm_bridge_chain_mode_set" },
	{ 0x54874cce, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xc512f2be, "fb_sys_read" },
	{ 0xe5e15404, "drm_atomic_get_plane_state" },
	{ 0x5852e4a4, "drm_atomic_bridge_chain_check" },
	{ 0xc7d03d12, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x39405aa0, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x8dcb3dbe, "drm_property_blob_put" },
	{ 0x127f504f, "drm_mode_destroy" },
	{ 0xb6ea9b37, "drm_bridge_attach" },
	{ 0x539afa38, "drm_set_preferred_mode" },
	{ 0x4c0ee606, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xed9e9399, "drm_atomic_state_clear" },
	{ 0x4759e10e, "drm_mode_config_reset" },
	{ 0x57e0bea8, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0xfdc63d9a, "drm_modeset_drop_locks" },
	{ 0x3592d783, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x6dc2cc1c, "drm_atomic_bridge_chain_disable" },
	{ 0xd73346ed, "drm_mode_create_from_cmdline_mode" },
	{ 0xeb661345, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xfecb153d, "param_ops_int" },
	{ 0xa513c0af, "drm_atomic_nonblocking_commit" },
	{ 0xac405277, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x38d1a03d, "drm_master_internal_release" },
	{ 0x6a86df49, "drm_get_edid" },
	{ 0x3ed46297, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x31f3a503, "drm_panel_unprepare" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x458b9204, "drm_atomic_add_encoder_bridges" },
	{ 0x62d092a2, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x88ab3877, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,i2c-core,syscopyarea");


MODULE_INFO(srcversion, "FC8E8D9E4EC6FAE4C422B01");
MODULE_INFO(rhelversion, "9.99");
