#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xc736d019, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x1e1dedb5, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xa4d4d88d, "");
SYMBOL_CRC(rdma_res_to_id, 0xea7b7409, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x45c2e78e, "");
SYMBOL_CRC(rdma_create_user_id, 0xe265dcca, "");
SYMBOL_CRC(rdma_create_qp, 0x62f7af22, "");
SYMBOL_CRC(rdma_destroy_qp, 0xc4862d2c, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x6866ba26, "");
SYMBOL_CRC(rdma_destroy_id, 0xb5094663, "");
SYMBOL_CRC(rdma_get_service_id, 0xd0692a54, "");
SYMBOL_CRC(rdma_read_gids, 0x17382329, "");
SYMBOL_CRC(rdma_set_service_type, 0x079df17e, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x282c0306, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xaeed09b6, "");
SYMBOL_CRC(rdma_set_ib_path, 0x96ebc5f6, "");
SYMBOL_CRC(rdma_resolve_route, 0xf5cb9c25, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xd7f25ab5, "");
SYMBOL_CRC(rdma_set_afonly, 0x227fabaa, "");
SYMBOL_CRC(rdma_listen, 0x19722bd9, "");
SYMBOL_CRC(rdma_resolve_addr, 0xea141b38, "");
SYMBOL_CRC(rdma_bind_addr, 0x1ceecb71, "");
SYMBOL_CRC(rdma_connect_locked, 0xd26f6edc, "");
SYMBOL_CRC(rdma_connect, 0x8663b28a, "");
SYMBOL_CRC(rdma_connect_ece, 0x7f84f544, "");
SYMBOL_CRC(rdma_accept, 0xf1d25b9a, "");
SYMBOL_CRC(rdma_accept_ece, 0x45b2cf31, "");
SYMBOL_CRC(rdma_lock_handler, 0xa43b69d1, "");
SYMBOL_CRC(rdma_unlock_handler, 0x91707271, "");
SYMBOL_CRC(rdma_notify, 0x8c43f5a8, "");
SYMBOL_CRC(rdma_reject, 0x5812570f, "");
SYMBOL_CRC(rdma_disconnect, 0xad604e13, "");
SYMBOL_CRC(rdma_join_multicast, 0xfeb2c285, "");
SYMBOL_CRC(rdma_leave_multicast, 0x3f2533f1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70d5dadf, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf0385410, "iw_create_cm_id" },
	{ 0xa7ebbd32, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd6068f72, "ib_unregister_client" },
	{ 0x8eb592f2, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2fafca1f, "ib_send_cm_sidr_rep" },
	{ 0xceec3109, "bpf_trace_run4" },
	{ 0x4d7feabc, "config_group_init" },
	{ 0xbb2740fd, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xb04c36ee, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7b56253a, "trace_raw_output_prep" },
	{ 0xd3184b50, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x8de7c8a4, "__trace_trigger_soft_disabled" },
	{ 0x5455ef03, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0xb8b257e8, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x57c04dc6, "rdma_query_gid" },
	{ 0xd774c723, "rt6_lookup" },
	{ 0x6e04c1df, "rdma_translate_ip" },
	{ 0xde2aed1c, "bpf_trace_run2" },
	{ 0xc401c316, "rdma_dev_access_netns" },
	{ 0xed717990, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xc931a666, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x4ebff89d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x15588699, "register_pernet_subsys" },
	{ 0x6fd33ae8, "trace_event_buffer_commit" },
	{ 0x2b4707f4, "ip_mc_inc_group" },
	{ 0xd5c3e8ec, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xebf100e, "ib_find_cached_pkey" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2f3f890a, "iw_cm_connect" },
	{ 0x17e3db04, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8590a8f4, "rdma_addr_cancel" },
	{ 0x3357886b, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe71cc2cb, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xf25a63f1, "ib_register_client" },
	{ 0x87a42d8f, "ib_sa_path_rec_get" },
	{ 0xa7658cb4, "ib_create_cm_id" },
	{ 0x9223601a, "__ip_mc_dec_group" },
	{ 0x88ed9ddf, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x178a925c, "perf_trace_run_bpf_submit" },
	{ 0x45ba1575, "ib_init_ah_from_mcmember" },
	{ 0x2a81af94, "rdma_destroy_ah_attr" },
	{ 0xc717b0cc, "ib_set_client_data" },
	{ 0xb84835ae, "init_net" },
	{ 0xea93cebd, "ib_get_cached_pkey" },
	{ 0xe0caa1a7, "configfs_register_subsystem" },
	{ 0x988cd967, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x2bf959f3, "rdma_put_gid_attr" },
	{ 0x5cc5d4b5, "config_group_init_type_name" },
	{ 0x55f7afd, "dev_get_by_index" },
	{ 0x7578168, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x69e7f13, "ib_send_cm_rep" },
	{ 0x85adf0d8, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x27fcbfb, "iw_cm_disconnect" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x2b68f985, "bpf_trace_run1" },
	{ 0x67cded46, "ib_destroy_qp_user" },
	{ 0x67887e53, "unregister_pernet_subsys" },
	{ 0xc0c9e93a, "ib_cm_init_qp_attr" },
	{ 0x97394f9e, "_dev_warn" },
	{ 0xee2bb357, "ib_send_cm_drep" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xae0ae727, "rdma_restrack_set_name" },
	{ 0xf7f1e98d, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xbe667043, "ib_get_cached_port_state" },
	{ 0x1b61acf0, "ib_send_cm_mra" },
	{ 0xd9270e6b, "rdma_restrack_del" },
	{ 0x9669511a, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xa550737a, "bpf_trace_run3" },
	{ 0x3862b4ee, "__put_net" },
	{ 0xd8a81cd1, "rdma_restrack_parent_name" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xa9a6c64b, "iw_cm_accept" },
	{ 0x4c713139, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x6f965499, "config_item_put" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfc01ba90, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xee977174, "iw_cm_init_qp_attr" },
	{ 0x7f19bc53, "dst_release" },
	{ 0x81f0b6fd, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa33a94ce, "ib_send_cm_dreq" },
	{ 0xf41f0c7e, "ib_send_cm_req" },
	{ 0xd8969599, "ib_create_qp_kernel" },
	{ 0x5536e893, "ib_sa_join_multicast" },
	{ 0x357af018, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa0d8de8f, "rdma_get_gid_attr" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0xb31b8e7c, "rdma_restrack_new" },
	{ 0xf2eb62e1, "__fib_lookup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x63bff179, "iw_cm_listen" },
	{ 0x1ba82b8, "ib_send_cm_rej" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x8d5bf4cd, "rdma_copy_src_l2_addr" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0xa7976022, "rdma_resolve_ip" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "B1E22E944E7D01866D82821");
MODULE_INFO(rhelversion, "9.99");
