#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlxsw_core_port_driver_priv, "", "");
KSYMTAB_FUNC(mlxsw_core_max_ports, "", "");
KSYMTAB_FUNC(mlxsw_core_max_lag, "", "");
KSYMTAB_FUNC(mlxsw_core_driver_priv, "", "");
KSYMTAB_FUNC(mlxsw_core_fw_rev_minor_subminor_validate, "", "");
KSYMTAB_FUNC(mlxsw_core_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_core_driver_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_bus_device_register, "", "");
KSYMTAB_FUNC(mlxsw_core_bus_device_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_skb_transmit_busy, "", "");
KSYMTAB_FUNC(mlxsw_core_skb_transmit, "", "");
KSYMTAB_FUNC(mlxsw_core_ptp_transmitted, "", "");
KSYMTAB_FUNC(mlxsw_core_rx_listener_register, "", "");
KSYMTAB_FUNC(mlxsw_core_rx_listener_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_event_listener_register, "", "");
KSYMTAB_FUNC(mlxsw_core_event_listener_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_trap_register, "", "");
KSYMTAB_FUNC(mlxsw_core_trap_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_traps_register, "", "");
KSYMTAB_FUNC(mlxsw_core_traps_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_trap_state_set, "", "");
KSYMTAB_FUNC(mlxsw_reg_trans_query, "", "");
KSYMTAB_FUNC(mlxsw_reg_trans_write, "", "");
KSYMTAB_FUNC(mlxsw_reg_trans_bulk_wait, "", "");
KSYMTAB_FUNC(mlxsw_core_irq_event_handler_register, "", "");
KSYMTAB_FUNC(mlxsw_core_irq_event_handler_unregister, "", "");
KSYMTAB_FUNC(mlxsw_core_irq_event_handlers_call, "", "");
KSYMTAB_FUNC(mlxsw_reg_query, "", "");
KSYMTAB_FUNC(mlxsw_reg_write, "", "");
KSYMTAB_FUNC(mlxsw_core_skb_receive, "", "");
KSYMTAB_FUNC(mlxsw_core_lag_mapping_set, "", "");
KSYMTAB_FUNC(mlxsw_core_lag_mapping_get, "", "");
KSYMTAB_FUNC(mlxsw_core_lag_mapping_clear, "", "");
KSYMTAB_FUNC(mlxsw_core_res_valid, "", "");
KSYMTAB_FUNC(mlxsw_core_res_get, "", "");
KSYMTAB_FUNC(mlxsw_core_port_init, "", "");
KSYMTAB_FUNC(mlxsw_core_port_fini, "", "");
KSYMTAB_FUNC(mlxsw_core_cpu_port_init, "", "");
KSYMTAB_FUNC(mlxsw_core_cpu_port_fini, "", "");
KSYMTAB_FUNC(mlxsw_core_port_netdev_link, "", "");
KSYMTAB_FUNC(mlxsw_core_port_devlink_port_get, "", "");
KSYMTAB_FUNC(mlxsw_cmd_exec, "", "");
KSYMTAB_FUNC(mlxsw_core_schedule_dw, "", "");
KSYMTAB_FUNC(mlxsw_core_schedule_work, "", "");
KSYMTAB_FUNC(mlxsw_core_flush_owq, "", "");
KSYMTAB_FUNC(mlxsw_core_kvd_sizes_get, "", "");
KSYMTAB_FUNC(mlxsw_core_resources_query, "", "");
KSYMTAB_FUNC(mlxsw_core_read_frc_h, "", "");
KSYMTAB_FUNC(mlxsw_core_read_frc_l, "", "");
KSYMTAB_FUNC(mlxsw_core_read_utc_sec, "", "");
KSYMTAB_FUNC(mlxsw_core_read_utc_nsec, "", "");
KSYMTAB_FUNC(mlxsw_core_sdq_supports_cqe_v2, "", "");
KSYMTAB_FUNC(mlxsw_afk_create, "", "");
KSYMTAB_FUNC(mlxsw_afk_destroy, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_get, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_put, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_subset, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_block_encoding_get, "", "");
KSYMTAB_FUNC(mlxsw_afk_key_info_blocks_count_get, "", "");
KSYMTAB_FUNC(mlxsw_afk_values_add_u32, "", "");
KSYMTAB_FUNC(mlxsw_afk_values_add_buf, "", "");
KSYMTAB_FUNC(mlxsw_afk_encode, "", "");
KSYMTAB_FUNC(mlxsw_afk_clear, "", "");
KSYMTAB_FUNC(mlxsw_afa_create, "", "");
KSYMTAB_FUNC(mlxsw_afa_destroy, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_create, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_destroy, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_commit, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_first_set, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_cur_set, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_first_kvdl_index, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_activity_get, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_continue, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_jump, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_terminate, "", "");
KSYMTAB_FUNC(mlxsw_afa_cookie_lookup, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_vlan_modify, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_drop, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_trap, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_trap_and_forward, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_mirror, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_dsfield, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_dscp, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_ecn, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_qos_switch_prio, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_fwd, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_allocated_counter, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_counter, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_police, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_fid_set, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_ignore, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_mcrouter, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_ip, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_l4port, "", "");
KSYMTAB_FUNC(mlxsw_afa_block_append_sampler, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_info, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_eeprom, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_eeprom_by_page, "", "");
KSYMTAB_FUNC(mlxsw_env_reset_module, "", "");
KSYMTAB_FUNC(mlxsw_env_get_module_power_mode, "", "");
KSYMTAB_FUNC(mlxsw_env_set_module_power_mode, "", "");
KSYMTAB_FUNC(mlxsw_env_module_overheat_counter_get, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_map, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_unmap, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_up, "", "");
KSYMTAB_FUNC(mlxsw_env_module_port_down, "", "");
KSYMTAB_FUNC(mlxsw_linecards_event_ops_register, "", "");
KSYMTAB_FUNC(mlxsw_linecards_event_ops_unregister, "", "");

SYMBOL_CRC(mlxsw_core_port_driver_priv, 0x63874d4c, "");
SYMBOL_CRC(mlxsw_core_max_ports, 0x0ca34ccf, "");
SYMBOL_CRC(mlxsw_core_max_lag, 0xd21722b4, "");
SYMBOL_CRC(mlxsw_core_driver_priv, 0xbfb7df3c, "");
SYMBOL_CRC(mlxsw_core_fw_rev_minor_subminor_validate, 0xcbab836f, "");
SYMBOL_CRC(mlxsw_core_driver_register, 0x1fc33a30, "");
SYMBOL_CRC(mlxsw_core_driver_unregister, 0xece690fe, "");
SYMBOL_CRC(mlxsw_core_bus_device_register, 0xac2eeffd, "");
SYMBOL_CRC(mlxsw_core_bus_device_unregister, 0x5cf3dd79, "");
SYMBOL_CRC(mlxsw_core_skb_transmit_busy, 0xac1074a5, "");
SYMBOL_CRC(mlxsw_core_skb_transmit, 0xe9de8856, "");
SYMBOL_CRC(mlxsw_core_ptp_transmitted, 0xdd0395bc, "");
SYMBOL_CRC(mlxsw_core_rx_listener_register, 0x69edf820, "");
SYMBOL_CRC(mlxsw_core_rx_listener_unregister, 0xec9cd200, "");
SYMBOL_CRC(mlxsw_core_event_listener_register, 0x7e08c6e0, "");
SYMBOL_CRC(mlxsw_core_event_listener_unregister, 0xd7a93413, "");
SYMBOL_CRC(mlxsw_core_trap_register, 0x47963c54, "");
SYMBOL_CRC(mlxsw_core_trap_unregister, 0x62b6fca8, "");
SYMBOL_CRC(mlxsw_core_traps_register, 0xda738ffb, "");
SYMBOL_CRC(mlxsw_core_traps_unregister, 0xfee27afe, "");
SYMBOL_CRC(mlxsw_core_trap_state_set, 0xccb6b961, "");
SYMBOL_CRC(mlxsw_reg_trans_query, 0x4e2424ee, "");
SYMBOL_CRC(mlxsw_reg_trans_write, 0x0dd8caa3, "");
SYMBOL_CRC(mlxsw_reg_trans_bulk_wait, 0x996c5d6d, "");
SYMBOL_CRC(mlxsw_core_irq_event_handler_register, 0xd111d3e8, "");
SYMBOL_CRC(mlxsw_core_irq_event_handler_unregister, 0x16f4221d, "");
SYMBOL_CRC(mlxsw_core_irq_event_handlers_call, 0xbda212df, "");
SYMBOL_CRC(mlxsw_reg_query, 0xa7765e88, "");
SYMBOL_CRC(mlxsw_reg_write, 0x8854d198, "");
SYMBOL_CRC(mlxsw_core_skb_receive, 0x0578cae1, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_set, 0xf82bdc70, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_get, 0x83fb69af, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_clear, 0x75339042, "");
SYMBOL_CRC(mlxsw_core_res_valid, 0x8384a5da, "");
SYMBOL_CRC(mlxsw_core_res_get, 0x6f49e682, "");
SYMBOL_CRC(mlxsw_core_port_init, 0x508923e3, "");
SYMBOL_CRC(mlxsw_core_port_fini, 0x7b0bfeec, "");
SYMBOL_CRC(mlxsw_core_cpu_port_init, 0x23eddc68, "");
SYMBOL_CRC(mlxsw_core_cpu_port_fini, 0xff007c25, "");
SYMBOL_CRC(mlxsw_core_port_netdev_link, 0x291c571b, "");
SYMBOL_CRC(mlxsw_core_port_devlink_port_get, 0x90aae485, "");
SYMBOL_CRC(mlxsw_cmd_exec, 0x632314f1, "");
SYMBOL_CRC(mlxsw_core_schedule_dw, 0x902c3533, "");
SYMBOL_CRC(mlxsw_core_schedule_work, 0xd71566b9, "");
SYMBOL_CRC(mlxsw_core_flush_owq, 0x19fa5852, "");
SYMBOL_CRC(mlxsw_core_kvd_sizes_get, 0x50359cc0, "");
SYMBOL_CRC(mlxsw_core_resources_query, 0xc530eb82, "");
SYMBOL_CRC(mlxsw_core_read_frc_h, 0x2c68ced3, "");
SYMBOL_CRC(mlxsw_core_read_frc_l, 0x77d83398, "");
SYMBOL_CRC(mlxsw_core_read_utc_sec, 0x0f4a209d, "");
SYMBOL_CRC(mlxsw_core_read_utc_nsec, 0x86817014, "");
SYMBOL_CRC(mlxsw_core_sdq_supports_cqe_v2, 0x5c73d5a4, "");
SYMBOL_CRC(mlxsw_afk_create, 0x94621adf, "");
SYMBOL_CRC(mlxsw_afk_destroy, 0x0e81c09c, "");
SYMBOL_CRC(mlxsw_afk_key_info_get, 0x2c53a96f, "");
SYMBOL_CRC(mlxsw_afk_key_info_put, 0x15801382, "");
SYMBOL_CRC(mlxsw_afk_key_info_subset, 0x3d279269, "");
SYMBOL_CRC(mlxsw_afk_key_info_block_encoding_get, 0x02dfd3d0, "");
SYMBOL_CRC(mlxsw_afk_key_info_blocks_count_get, 0x47041e4e, "");
SYMBOL_CRC(mlxsw_afk_values_add_u32, 0x7ded8b62, "");
SYMBOL_CRC(mlxsw_afk_values_add_buf, 0x6bc6adb7, "");
SYMBOL_CRC(mlxsw_afk_encode, 0x33e16dfa, "");
SYMBOL_CRC(mlxsw_afk_clear, 0xbc222a8d, "");
SYMBOL_CRC(mlxsw_afa_create, 0x0dc17e4e, "");
SYMBOL_CRC(mlxsw_afa_destroy, 0x9cbf026d, "");
SYMBOL_CRC(mlxsw_afa_block_create, 0x858c30d0, "");
SYMBOL_CRC(mlxsw_afa_block_destroy, 0x5ff17b5c, "");
SYMBOL_CRC(mlxsw_afa_block_commit, 0x618a30ab, "");
SYMBOL_CRC(mlxsw_afa_block_first_set, 0x829e8851, "");
SYMBOL_CRC(mlxsw_afa_block_cur_set, 0x202693f0, "");
SYMBOL_CRC(mlxsw_afa_block_first_kvdl_index, 0xdeb1dc2e, "");
SYMBOL_CRC(mlxsw_afa_block_activity_get, 0xe16986dd, "");
SYMBOL_CRC(mlxsw_afa_block_continue, 0xdc415cf1, "");
SYMBOL_CRC(mlxsw_afa_block_jump, 0x827a2f1f, "");
SYMBOL_CRC(mlxsw_afa_block_terminate, 0x43a9b87e, "");
SYMBOL_CRC(mlxsw_afa_cookie_lookup, 0xecab212a, "");
SYMBOL_CRC(mlxsw_afa_block_append_vlan_modify, 0x718d28f4, "");
SYMBOL_CRC(mlxsw_afa_block_append_drop, 0xe4d9ac5a, "");
SYMBOL_CRC(mlxsw_afa_block_append_trap, 0x07abcc0c, "");
SYMBOL_CRC(mlxsw_afa_block_append_trap_and_forward, 0xb6517b2e, "");
SYMBOL_CRC(mlxsw_afa_block_append_mirror, 0x9f04c116, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_dsfield, 0x2f303cd3, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_dscp, 0x383bc49a, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_ecn, 0x0d0129fc, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_switch_prio, 0x65c7e645, "");
SYMBOL_CRC(mlxsw_afa_block_append_fwd, 0xff0b141d, "");
SYMBOL_CRC(mlxsw_afa_block_append_allocated_counter, 0xd28256cf, "");
SYMBOL_CRC(mlxsw_afa_block_append_counter, 0xa509fafd, "");
SYMBOL_CRC(mlxsw_afa_block_append_police, 0x49ec8a06, "");
SYMBOL_CRC(mlxsw_afa_block_append_fid_set, 0xe1860dde, "");
SYMBOL_CRC(mlxsw_afa_block_append_ignore, 0x77532431, "");
SYMBOL_CRC(mlxsw_afa_block_append_mcrouter, 0xd9f711ae, "");
SYMBOL_CRC(mlxsw_afa_block_append_ip, 0xd888ffb3, "");
SYMBOL_CRC(mlxsw_afa_block_append_l4port, 0xc5eacafe, "");
SYMBOL_CRC(mlxsw_afa_block_append_sampler, 0xa8e2509a, "");
SYMBOL_CRC(mlxsw_env_get_module_info, 0x300205e7, "");
SYMBOL_CRC(mlxsw_env_get_module_eeprom, 0x1957d9ca, "");
SYMBOL_CRC(mlxsw_env_get_module_eeprom_by_page, 0x4866767a, "");
SYMBOL_CRC(mlxsw_env_reset_module, 0x1630e4e1, "");
SYMBOL_CRC(mlxsw_env_get_module_power_mode, 0x4a558271, "");
SYMBOL_CRC(mlxsw_env_set_module_power_mode, 0x14d6ca2e, "");
SYMBOL_CRC(mlxsw_env_module_overheat_counter_get, 0x51b5769d, "");
SYMBOL_CRC(mlxsw_env_module_port_map, 0x6929f2b4, "");
SYMBOL_CRC(mlxsw_env_module_port_unmap, 0xb68e9fa8, "");
SYMBOL_CRC(mlxsw_env_module_port_up, 0x02815b77, "");
SYMBOL_CRC(mlxsw_env_module_port_down, 0xed2801d4, "");
SYMBOL_CRC(mlxsw_linecards_event_ops_register, 0x14e17bb4, "");
SYMBOL_CRC(mlxsw_linecards_event_ops_unregister, 0x4036254f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7de1f369, "devl_unregister" },
	{ 0xa06e587a, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xf75d4ed8, "devlink_unregister" },
	{ 0x3761d215, "idr_find" },
	{ 0xf0a1f5e5, "auxiliary_device_init" },
	{ 0x77eb7a1f, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x9e2b5bf6, "devl_lock" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xb92f60f9, "devlink_linecard_deactivate" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xc7752f49, "devlink_port_attrs_set" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x48c83802, "devlink_alloc_ns" },
	{ 0xdfda3a68, "devlink_register" },
	{ 0xf514d291, "devlink_free" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xd2621cd3, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x11a5bac2, "netdev_err" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x29ba0f41, "request_firmware_direct" },
	{ 0xf45d97c2, "auxiliary_driver_unregister" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x10c2d45d, "priv_to_devlink" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd8ff333d, "put_device" },
	{ 0xbf7cf157, "devlink_linecard_provision_set" },
	{ 0xff3998d6, "__traceiter_devlink_hwmsg" },
	{ 0x4c7c73db, "devl_resource_occ_get_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x845bd740, "devlink_is_reload_failed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcf924ea6, "_dev_info" },
	{ 0x7a3acd4e, "devlink_linecard_provision_clear" },
	{ 0x2c2892b0, "devl_resource_register" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x84ad3b5d, "devl_health_reporter_create" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe5ff4833, "devlink_port_linecard_set" },
	{ 0x4b72928f, "devlink_linecard_nested_dl_set" },
	{ 0x9622d564, "_dev_err" },
	{ 0xb84835ae, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0x9892fb6a, "__auxiliary_device_add" },
	{ 0x64583cc0, "devl_port_register_with_ops" },
	{ 0xa94ee689, "mlxfw_firmware_flash" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbb642bbb, "skb_push" },
	{ 0x2ed17f51, "devl_linecard_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xd1970ae, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x76cbafd9, "devlink_linecard_activate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3b6fe0d3, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x9df704d7, "devl_param_driverinit_value_set" },
	{ 0x97394f9e, "_dev_warn" },
	{ 0x2590e883, "devl_resources_unregister" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa1e2588, "devlink_linecard_provision_fail" },
	{ 0x4c852435, "devl_params_unregister" },
	{ 0xe06a24fa, "devl_linecard_create" },
	{ 0xc4fd644b, "__netdev_alloc_skb" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x4ece0228, "devl_unlock" },
	{ 0xa4062a57, "__tracepoint_devlink_hwmsg" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x12d09558, "__traceiter_devlink_hwerr" },
	{ 0x3db6aae, "devl_port_unregister" },
	{ 0xb280e46b, "devl_param_driverinit_value_get" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa992b7f4, "devlink_priv" },
	{ 0xd9d74763, "skb_clone" },
	{ 0x57c58e9b, "__tracepoint_devlink_hwerr" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x77f21390, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0xd83ec657, "devl_resource_occ_get_register" },
	{ 0xec57a577, "devl_register" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "mlxfw");

MODULE_ALIAS("auxiliary:mlxsw_core.lc");

MODULE_INFO(srcversion, "4934AA82D9A315464720E1F");
MODULE_INFO(rhelversion, "9.99");
