#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xdbc51fb9, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x62da2b2b, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xaea9a300, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x8a473d21, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x95d77ca0, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x104f07e7, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x12532316, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xa32862e8, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x4b2269af, "");
SYMBOL_CRC(nd_device_notify, 0x33ad3d1e, "");
SYMBOL_CRC(nvdimm_region_notify, 0x1f2300ef, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x469c39f8, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x8263ce77, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xa9d946cc, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x5e47b243, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x45f63297, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x98ab0134, "");
SYMBOL_CRC(nd_device_unregister, 0x7df8493f, "");
SYMBOL_CRC(__nd_driver_register, 0x07d7b8f7, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xe3f83b2c, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xf1389050, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x765dbbee, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x2b61d921, "_gpl");
SYMBOL_CRC(to_ndd, 0x5d3a8bc8, "");
SYMBOL_CRC(nvdimm_name, 0x1f96d28f, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x174f6163, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xb8687978, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xe1ad0637, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x3a4f9c6e, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x5fc22af5, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xc1d10001, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x984194f7, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x9b415aa0, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x5f4c976c, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x1c2d615b, "_gpl");
SYMBOL_CRC(to_nd_region, 0x9bf51284, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x44557fce, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x503ec3f6, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x91aadaf1, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xbb2db4d5, "");
SYMBOL_CRC(nd_region_release_lane, 0x60825dc9, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x8c8f011e, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x826d5f34, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x5941c469, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xf96e0ae0, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x2b1e4b11, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x46359f5b, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x57d32a98, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xd75c7832, "");
SYMBOL_CRC(pmem_sector_size, 0xddb1ec10, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x85d65f41, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x0ab2d94c, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x6e1601d7, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x03d33f55, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xcf195b5f, "");
SYMBOL_CRC(devm_namespace_enable, 0x2e9cfff8, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x417342fb, "_gpl");
SYMBOL_CRC(badrange_init, 0x07b125d2, "_gpl");
SYMBOL_CRC(badrange_add, 0x8f12f4af, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd425f7b5, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x965dbfc3, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xfbe2b453, "");
SYMBOL_CRC(is_nd_btt, 0x4f5e5773, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x7ab31b1d, "");
SYMBOL_CRC(nd_btt_version, 0xbb15d0e3, "");
SYMBOL_CRC(nd_btt_probe, 0x37918ea2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x16199968, "set_disk_ro" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf965947f, "blk_integrity_register" },
	{ 0x621db1fd, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xf37f0391, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0xcbf2e612, "devm_memremap" },
	{ 0x6eb0ae25, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4c7b6895, "badblocks_set" },
	{ 0x3350cd67, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x53d5abd6, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x452a3af3, "device_initialize" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d488f6b, "badblocks_exit" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xc60fde54, "device_for_each_child" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xc4886ef9, "get_device" },
	{ 0xd827fff3, "memremap" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xd2621cd3, "__dynamic_dev_dbg" },
	{ 0x795b59cf, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xfdfe58fa, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x5876f2e0, "__devm_request_region" },
	{ 0xb898b474, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd8ff333d, "put_device" },
	{ 0xace0e877, "badblocks_show" },
	{ 0x230bca5e, "key_type_encrypted" },
	{ 0xcf924ea6, "_dev_info" },
	{ 0x64f25bb2, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf74b423b, "compat_ptr_ioctl" },
	{ 0xe87452d4, "perf_pmu_migrate_context" },
	{ 0x86a1e7e8, "perf_pmu_register" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1421e66b, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x27705763, "bus_unregister" },
	{ 0x9622d564, "_dev_err" },
	{ 0x6ccc34dd, "sort" },
	{ 0x37e96074, "__cpuhp_setup_state" },
	{ 0x16213d1c, "devm_memunmap" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0xcb8c2ec0, "device_add" },
	{ 0x9052655e, "noop_llseek" },
	{ 0x6b71ed6c, "class_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2f7f3732, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x3c483825, "driver_unregister" },
	{ 0xb1e60bfd, "__cpuhp_state_add_instance" },
	{ 0x7ec6fa68, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa3ad0664, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x97394f9e, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x2425a935, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x322952ad, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x975851fb, "__devm_release_region" },
	{ 0xec87c0b7, "request_key_tag" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xbf981cb8, "kernfs_put" },
	{ 0x589b8025, "__register_chrdev" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x502e257b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8e173ed, "_find_next_bit_le" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x23305f25, "badblocks_check" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x9617287b, "__devm_add_action" },
	{ 0xf6598f8b, "badblocks_clear" },
	{ 0x732ea876, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x56192518, "driver_register" },
	{ 0xacce98df, "__cpuhp_remove_state" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa51a2967, "_find_next_zero_bit_le" },
	{ 0xd5d95e4b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A90DA7E7EFDDC60111B8D7");
MODULE_INFO(rhelversion, "9.99");
