#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x363ef721, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x5ebbf09a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xda09b986, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x9227e11d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xc6264e7a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xfd831d8e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xb32662a6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x39c0aad5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa3ac06cf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x364f2b88, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xa97e2c57, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x571f9aea, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xf66c4355, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x2966dd19, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x2903271e, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x0f6b78f2, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x50e1ee4c, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0xdbf68051, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x68aad39e, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x7c742a71, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0xa9fa0585, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x1edbcd4c, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x363d41e7, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xb011e49e, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x72edcb44, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0xbd18701a, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x7d1b5c67, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x2e3ec6bb, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x404266fb, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x483ce5d4, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x04d4fe69, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xb4c25204, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x90b43f92, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xefaf6cee, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0xd856d29c, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x0a93c3b8, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xff7952d7, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x776a9223, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x095fc0e6, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xd67e26c4, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xae30f4b8, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x15af3275, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x6d711e5b, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x299ba21c, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xf2bfd114, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x26fecbd7, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xb6f5afd2, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0xdf80dd2f, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x9e1085f6, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x418a15ae, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x8622713a, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x015e3415, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xdc4ce974, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x178a925c, "perf_trace_run_bpf_submit" },
	{ 0x4c713139, "trace_event_buffer_reserve" },
	{ 0x6fd33ae8, "trace_event_buffer_commit" },
	{ 0x8de7c8a4, "__trace_trigger_soft_disabled" },
	{ 0x7b56253a, "trace_raw_output_prep" },
	{ 0x5455ef03, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0xde2aed1c, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xd8ff333d, "put_device" },
	{ 0x3350cd67, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4f6b6ce7, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0xc4886ef9, "get_device" },
	{ 0xa3ad0664, "device_find_child" },
	{ 0xc60fde54, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe70f0d81, "_dev_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb8b891be, "netlink_kernel_release" },
	{ 0x27705763, "bus_unregister" },
	{ 0xa4c0d703, "transport_class_unregister" },
	{ 0x500fa3a, "class_unregister" },
	{ 0x6e9085d8, "class_register" },
	{ 0x96c00ceb, "transport_class_register" },
	{ 0xd5d95e4b, "bus_register" },
	{ 0xb84835ae, "init_net" },
	{ 0x70a48a32, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x504e24e8, "scsi_host_get" },
	{ 0x452a3af3, "device_initialize" },
	{ 0xd3e1426, "scsi_is_host_device" },
	{ 0x7babd675, "bsg_remove_queue" },
	{ 0x522708b0, "scsi_host_put" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x953c9ce9, "transport_remove_device" },
	{ 0x82031057, "transport_destroy_device" },
	{ 0x3b6fe0d3, "device_del" },
	{ 0xd7546a2f, "scsi_host_lookup" },
	{ 0x1b59461b, "skb_trim" },
	{ 0x2f9a3989, "netlink_broadcast" },
	{ 0xaa04751b, "__alloc_skb" },
	{ 0x12db0222, "__nlmsg_put" },
	{ 0x9936da14, "kfree_skb_reason" },
	{ 0xfc8cd9c3, "bsg_job_done" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x98de1c15, "snprintf" },
	{ 0x1f3bfded, "bsg_setup_queue" },
	{ 0x9b88ff1e, "__scsi_init_queue" },
	{ 0xf64bc6dc, "scsi_target_unblock" },
	{ 0x3b06e487, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd113049c, "attribute_container_unregister" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6eb0ae25, "dev_set_name" },
	{ 0x69bfae04, "device_register" },
	{ 0xa6e7260, "sysfs_create_group" },
	{ 0xcb8c2ec0, "device_add" },
	{ 0xc03c3bc9, "transport_setup_device" },
	{ 0x80b0e01, "transport_add_device" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x712995f3, "scsi_remove_target" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x9622fdf8, "attribute_container_register" },
	{ 0xc2c1436c, "scsi_scan_target" },
	{ 0x7fcf64d8, "netlink_capable" },
	{ 0x621db1fd, "try_module_get" },
	{ 0x64f25bb2, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xe4e323b2, "skb_pull" },
	{ 0x4c1601ac, "netlink_unicast" },
	{ 0x85adf0d8, "trace_event_reg" },
	{ 0xb8b257e8, "trace_event_raw_init" },
	{ 0xfecb153d, "param_ops_int" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DB82E629F8E847E64934F14");
MODULE_INFO(rhelversion, "9.99");
