#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x416635ac, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0xcabce429, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xc9ae5a9a, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x624f7b86, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x81405eaa, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x2cddb4b7, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x6cd12370, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0xbd6079f4, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x64baae28, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x99fca996, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x610c4a73, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x59dfac96, "");
SYMBOL_CRC(iscsit_release_cmd, 0x5cb5de2e, "");
SYMBOL_CRC(iscsit_free_cmd, 0x55bd99e0, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x3ab5affd, "");
SYMBOL_CRC(iscsit_aborted_task, 0x253652cb, "");
SYMBOL_CRC(iscsit_add_reject, 0xd48c7ca3, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x75579577, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x0c2b4f66, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x7ecbcccb, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0xe333b434, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x863a8729, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x3fcae143, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x7edff02c, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x40a549d6, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x7f497647, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x5f8b3a06, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x70828793, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0xe114b6e9, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0xc4abc4db, "");
SYMBOL_CRC(iscsit_handle_snack, 0x2e957b89, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x20ac95b5, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x9bbfe3bd, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x642bef2b, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xa5a21e79, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x168d0097, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0xe5ab1bef, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0xc18efeac, "");
SYMBOL_CRC(iscsit_build_reject, 0x9396e1ae, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x88df5653, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xb13e3ee8, "");
SYMBOL_CRC(iscsit_response_queue, 0x4a3c1eec, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0xaffab751, "");
SYMBOL_CRC(iscsit_register_transport, 0x8cf31723, "");
SYMBOL_CRC(iscsit_unregister_transport, 0xc9b88fc1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb71e2cb, "crypto_alloc_ahash" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xe7b37d88, "target_alloc_cmd_counter" },
	{ 0xe8fc4b42, "core_alua_check_nonop_delay" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x621db1fd, "try_module_get" },
	{ 0xf54bf0d0, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8af7d82c, "target_wait_for_cmds" },
	{ 0x166f83f4, "transport_generic_new_cmd" },
	{ 0xd4f410d0, "target_free_cmd_counter" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xb84421ad, "target_execute_cmd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x9f5a2402, "kernel_bind" },
	{ 0xd566933c, "up" },
	{ 0x22024439, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x568a9202, "kernel_accept" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0xe276215e, "kmem_cache_create" },
	{ 0x3d76a3ae, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xc07557cb, "target_stop_cmd_counter" },
	{ 0x3d7d08a2, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfcfad33a, "transport_lookup_tmr_lun" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x87fcab48, "hex2bin" },
	{ 0xcea9460d, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x494e9d83, "crypto_destroy_tfm" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xd2e618bd, "transport_alloc_session_tags" },
	{ 0x26112a4b, "transport_alloc_session" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe3292a95, "sbitmap_prepare_to_wait" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x911cd3b5, "target_unregister_template" },
	{ 0x6a6add77, "transport_send_check_condition_and_sense" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x31560699, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xffc7eaf5, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x64f25bb2, "module_put" },
	{ 0x120e403a, "flush_signals" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xace8d222, "__traceiter_sk_data_ready" },
	{ 0xb84835ae, "init_net" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5cc5d4b5, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3d7903b9, "kmem_cache_free" },
	{ 0x8f82a0f5, "set_cpus_allowed_ptr" },
	{ 0xf32bed9a, "transport_deregister_session_configfs" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x69925d0e, "sbitmap_queue_clear" },
	{ 0x9b7862a4, "iov_iter_kvec" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xbf47d129, "inet_pton_with_scope" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb968f75c, "sock_sendmsg" },
	{ 0x90ee0c1, "crypto_shash_update" },
	{ 0xd1f9ae92, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xefabb4ac, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144371d0, "target_cmd_parse_cdb" },
	{ 0xe1cd6c3d, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x492ca88a, "crypto_ahash_finup" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4e05067, "iov_iter_bvec" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xc6cfd0a4, "crypto_ahash_digest" },
	{ 0x6108288f, "complete_all" },
	{ 0xa22e258c, "crypto_ahash_final" },
	{ 0x7e70c46e, "__target_init_cmd" },
	{ 0xe798236d, "jiffies" },
	{ 0x4a3dd512, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe135074c, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcce1fd5b, "core_tpg_check_initiator_node_acl" },
	{ 0x70957529, "target_cmd_init_cdb" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xc782d054, "kernel_listen" },
	{ 0x5c999a72, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x954f7075, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xc1b990aa, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xe1671d17, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7f25bc27, "transport_wait_for_tasks" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xcb80b0cf, "transport_handle_cdb_direct" },
	{ 0xe153dc20, "target_get_sess_cmd" },
	{ 0x43c64518, "target_complete_cmd" },
	{ 0x87b8798d, "sg_next" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xce6033cd, "sock_recvmsg" },
	{ 0x36b04941, "core_tpg_deregister" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0x760abec7, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8e4886d6, "target_show_dynamic_sessions" },
	{ 0xdd6dcdb7, "sock_release" },
	{ 0xcc3d5fe6, "target_register_template" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xcd48bb7b, "tcp_sock_set_nodelay" },
	{ 0xbea61b57, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x96cb95c3, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x10a61cda, "core_tpg_register" },
	{ 0x15dcb94f, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x853ba825, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xb652553e, "crypto_alloc_shash" },
	{ 0x42468543, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x58896ea1, "kmem_cache_destroy" },
	{ 0x99da74b8, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod");


MODULE_INFO(srcversion, "6F8C58D753E7F13FCDCFC7D");
MODULE_INFO(rhelversion, "9.99");
