#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0xf68b44dc, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xff20eabd, "");
SYMBOL_CRC(fscache_acquire_cache, 0xa3f7bb69, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xd100ec52, "");
SYMBOL_CRC(fscache_add_cache, 0xa9eaabbe, "");
SYMBOL_CRC(fscache_io_error, 0x5257541c, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x2c225929, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xf035a9ef, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x1e2807d6, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x85c29970, "");
SYMBOL_CRC(fscache_caching_failed, 0x38361923, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x2a9ee12c, "");
SYMBOL_CRC(__fscache_use_cookie, 0xd2466df2, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xfc10ae5e, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x2382c366, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x6bab6a72, "");
SYMBOL_CRC(fscache_put_cookie, 0xda4399bc, "");
SYMBOL_CRC(fscache_get_cookie, 0x95c37440, "");
SYMBOL_CRC(__fscache_invalidate, 0xd9042f9a, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x80f791b1, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xa25ca3a1, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x29b67766, "");
SYMBOL_CRC(fscache_dirty_folio, 0xb6fc4be5, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xa30fc6e9, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x98f6887c, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x6c785426, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x2b389369, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x71fb0e58, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x77e19a42, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_end_volume_access, 0xf937c8b3, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x63cb0c9d, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x759de85c, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xb3b05324, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xceec3109, "bpf_trace_run4" },
	{ 0x465bb48d, "param_ops_uint" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7b56253a, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x8de7c8a4, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5455ef03, "trace_event_printf" },
	{ 0x3e17de6e, "xas_find" },
	{ 0xb8b257e8, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x58870c01, "netfs_stats_show" },
	{ 0xde2aed1c, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x700ec73d, "remove_proc_subtree" },
	{ 0xe276215e, "kmem_cache_create" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6fd33ae8, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31560699, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x178a925c, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x68106ddf, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3d7903b9, "kmem_cache_free" },
	{ 0x85adf0d8, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x2b68f985, "bpf_trace_run1" },
	{ 0x4a838ba5, "proc_mkdir" },
	{ 0x27a5362f, "folio_end_private_2" },
	{ 0x103bafd6, "down_read" },
	{ 0xe798236d, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa550737a, "bpf_trace_run3" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x4c713139, "trace_event_buffer_reserve" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x9813fbd3, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2394b85a, "seq_printf" },
	{ 0x7dd0debf, "filemap_dirty_folio" },
	{ 0x6cefae3a, "seq_puts" },
	{ 0x386451ca, "iov_iter_xarray" },
	{ 0xeab10254, "proc_create_single_data" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb1cbd1ec, "proc_create_seq_private" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x58896ea1, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "7591919CD3F8666640B81C6");
MODULE_INFO(rhelversion, "9.99");
