#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xfe09817d, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xe4de03dc, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xa2c1c096, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xc7db58a4, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xcda7e23a, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xf53f052d, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x658cafba, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x3e6b8156, "");
SYMBOL_CRC(ip_vs_conn_put, 0x006bafdc, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x6fba2c4e, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xee47b10a, "");
SYMBOL_CRC(register_ip_vs_app, 0xd6b69998, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x9e93631e, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x2eac7346, "");
SYMBOL_CRC(ip_vs_proto_get, 0xc2b67ac5, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xacfe91a7, "");
SYMBOL_CRC(register_ip_vs_pe, 0x2621fb94, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xfd308736, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x2efac636, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bbb0145, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x82e1a8b3, "nf_conntrack_find_get" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x621db1fd, "try_module_get" },
	{ 0x11f6bee7, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa7ebbd32, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6ec626d6, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xa1994103, "skb_copy_bits" },
	{ 0x177a0f52, "xfrm_lookup" },
	{ 0xe88559e1, "proc_dointvec_jiffies" },
	{ 0x6506a8ef, "housekeeping_cpumask" },
	{ 0x77eb7a1f, "consume_skb" },
	{ 0xbf81f09a, "ip6_local_out" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xdb6f8d4b, "nf_register_sockopt" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd26bff7f, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x9f5a2402, "kernel_bind" },
	{ 0x8555dec9, "set_user_nice" },
	{ 0x39eddd2, "genlmsg_put" },
	{ 0xb74818d, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x3961a95e, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5c721e3, "__module_get" },
	{ 0x6b0350d2, "ip_route_output_flow" },
	{ 0xe276215e, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb6a24b1c, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xc392fa46, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x6ae73c32, "proc_create_net_data" },
	{ 0xbef01a9f, "pskb_expand_head" },
	{ 0x15588699, "register_pernet_subsys" },
	{ 0xcea9460d, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xb3d681f3, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd2d66880, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9d7968c7, "nf_register_net_hooks" },
	{ 0x6ca98291, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xaa04751b, "__alloc_skb" },
	{ 0x31560699, "kmem_cache_alloc" },
	{ 0x97d266f8, "ipv6_sock_mc_join" },
	{ 0x64f25bb2, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0x5ff42994, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x723529b, "__skb_get_hash" },
	{ 0xb84835ae, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x4c1601ac, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcd8cf805, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc638b78f, "nf_conntrack_alter_reply" },
	{ 0x970e3919, "ip_route_me_harder" },
	{ 0x9936da14, "kfree_skb_reason" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbb642bbb, "skb_push" },
	{ 0x3d7903b9, "kmem_cache_free" },
	{ 0x8f82a0f5, "set_cpus_allowed_ptr" },
	{ 0x390046dc, "seq_putc" },
	{ 0x7965889, "nla_put" },
	{ 0x31500158, "proc_doulongvec_minmax" },
	{ 0x2ba6e4ca, "nf_ct_expect_alloc" },
	{ 0x7bb633dd, "skb_ensure_writable" },
	{ 0x9b7862a4, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x501042c2, "ip_mc_join_group" },
	{ 0x77a667b4, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9241eae, "ns_capable" },
	{ 0x49d000c1, "nf_unregister_net_hooks" },
	{ 0x93f9d381, "inet_select_addr" },
	{ 0xf3bed13a, "unregister_pernet_device" },
	{ 0xdc644d18, "lock_sock_nested" },
	{ 0x213deb26, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xefabb4ac, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xd6a3ffba, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x67887e53, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xeb85d4d2, "kernel_connect" },
	{ 0x280f7eac, "skb_checksum" },
	{ 0x523dc765, "ip_defrag" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3cf182ff, "__pskb_pull_tail" },
	{ 0x266b85bf, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x1b59461b, "skb_trim" },
	{ 0x2cf52fb5, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x4a3dd512, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xdc4cd9c1, "nf_ct_deliver_cached_events" },
	{ 0x91bc980c, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb4ae2c20, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd7ac5f12, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3112cbfa, "skb_set_owner_w" },
	{ 0x7fc70c1f, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc053f6f, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdd20723, "init_user_ns" },
	{ 0xc97f27d2, "nf_ct_expect_init" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9813fbd3, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2394b85a, "seq_printf" },
	{ 0xce6033cd, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa4b96d79, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x13d05901, "ipv4_update_pmtu" },
	{ 0xaf18104e, "nf_defrag_ipv6_enable" },
	{ 0x7f19bc53, "dst_release" },
	{ 0xdd6dcdb7, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x74dae967, "proc_dointvec" },
	{ 0x6cefae3a, "seq_puts" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x49e0b1dc, "unregister_net_sysctl_table" },
	{ 0x5ee218b, "ip_local_out" },
	{ 0xef2b28aa, "genl_unregister_family" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5d55af38, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xfecb153d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf1b4c169, "genl_register_family" },
	{ 0x5a3d8a2f, "kernel_sendmsg" },
	{ 0x2e9f4023, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x816e29f0, "register_pernet_device" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x58896ea1, "kmem_cache_destroy" },
	{ 0xc14466fe, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaa3212b1, "proc_dointvec_minmax" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "065BE73EFA355403E47E8BB");
MODULE_INFO(rhelversion, "9.99");
