#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x4421d9d9, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x6a301af2, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0xbf0910e4, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x202d98d6, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xdda4c9b2, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x02026088, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x17bccb12, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x182e2ddc, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x5a16d488, "");
SYMBOL_CRC(key_type_rxrpc, 0x32aeacad, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x9a71e1a7, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x742ba900, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x21432750, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x3382cfb9, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xfc182167, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x365b4f06, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xa047e695, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x185fb3b7, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x91988520, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa9de118, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf54bf0d0, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7be7082c, "key_alloc" },
	{ 0xceec3109, "bpf_trace_run4" },
	{ 0xa1994103, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0x465bb48d, "param_ops_uint" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77eb7a1f, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7b56253a, "trace_raw_output_prep" },
	{ 0x2e4e4242, "udp_sock_create4" },
	{ 0xef244732, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xbe563046, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x8de7c8a4, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5455ef03, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0x8555dec9, "set_user_nice" },
	{ 0xd566933c, "up" },
	{ 0x3bd606d8, "udpv6_sendmsg" },
	{ 0xfb51d354, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xb8b257e8, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd4ba4afa, "key_type_keyring" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xde2aed1c, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x22100aed, "crypto_skcipher_setkey" },
	{ 0x6b0350d2, "ip_route_output_flow" },
	{ 0xe276215e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc7e45635, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x81b78d90, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6ae73c32, "proc_create_net_data" },
	{ 0xeee59469, "put_cmsg" },
	{ 0xcea9460d, "wake_up_process" },
	{ 0x5e1815e0, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6fd33ae8, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xb3d681f3, "register_net_sysctl_sz" },
	{ 0x494e9d83, "crypto_destroy_tfm" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb929b9c1, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x363e3d1d, "ipv6_icmp_error" },
	{ 0xe28805af, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9947e6aa, "crypto_skcipher_decrypt" },
	{ 0xa4f0ab7c, "make_kuid" },
	{ 0x6ca98291, "ip6_route_output_flags" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x31560699, "kmem_cache_alloc" },
	{ 0x29fe380a, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x8285e828, "skb_queue_tail" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x4dc03908, "__sock_recv_timestamp" },
	{ 0x1421e66b, "key_put" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x178a925c, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xb84835ae, "init_net" },
	{ 0xe4e323b2, "skb_pull" },
	{ 0x2aa5653, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x4dea1053, "memchr" },
	{ 0xf29c2cd, "sock_enable_timestamps" },
	{ 0x781b1e79, "ip_sock_set_mtu_discover" },
	{ 0x81b433f2, "down" },
	{ 0x68106ddf, "bpf_trace_run5" },
	{ 0xa8a33c81, "sk_free" },
	{ 0x9395279d, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x9936da14, "kfree_skb_reason" },
	{ 0x582fe98b, "kernel_sock_shutdown" },
	{ 0xcb5ff788, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3d7903b9, "kmem_cache_free" },
	{ 0x85adf0d8, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9b7862a4, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf3bed13a, "unregister_pernet_device" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xdc644d18, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xefabb4ac, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xee489bae, "skb_copy_datagram_iter" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xcd6c809c, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6b17a6e4, "sk_alloc" },
	{ 0x2b68f985, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xa5f15a6e, "sock_no_socketpair" },
	{ 0x9c4c0e13, "key_revoke" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4be565db, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x213eaef7, "key_validate" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x7ccdd114, "crypto_alloc_sync_skcipher" },
	{ 0x23d8e0eb, "setup_udp_tunnel_sock" },
	{ 0x8b0a162b, "proc_remove" },
	{ 0x5c7d6e5e, "udp_sock_create6" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x4a3dd512, "kthread_create_on_node" },
	{ 0xa550737a, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4c713139, "trace_event_buffer_reserve" },
	{ 0x11a7cdbb, "keyring_search" },
	{ 0x5d91ee01, "ip_sock_set_recverr" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec87c0b7, "request_key_tag" },
	{ 0xf63c8e37, "generic_key_instantiate" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd3579b65, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2394b85a, "seq_printf" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0x6c03f385, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd9d74763, "skb_clone" },
	{ 0x7f19bc53, "dst_release" },
	{ 0xb21c3b18, "_copy_from_iter" },
	{ 0xdd6dcdb7, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x6cefae3a, "seq_puts" },
	{ 0x62c8d183, "sock_no_ioctl" },
	{ 0xe7bbfed2, "_proc_mkdir" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x49e0b1dc, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfb0425f0, "bpf_trace_run7" },
	{ 0xafcd966b, "ip_icmp_error" },
	{ 0xc7a88764, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x5a3d8a2f, "kernel_sendmsg" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xfbb33af5, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x816e29f0, "register_pernet_device" },
	{ 0xf9f787a, "skb_condense" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbe504cd8, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x58896ea1, "kmem_cache_destroy" },
	{ 0xc14466fe, "release_sock" },
	{ 0x89ca38b8, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb87fea13, "proc_create_net_single_write" },
	{ 0xb480034d, "crypto_alloc_skcipher" },
	{ 0xaa3212b1, "proc_dointvec_minmax" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "80964F01093D231A5F85999");
MODULE_INFO(rhelversion, "9.99");
