#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xd71752ff, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x8cd7f228, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x10a98174, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x5462717c, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xf1958679, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8c3d172, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x4f2e397f, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf31242d1, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xa1994103, "skb_copy_bits" },
	{ 0x5aa02e9c, "inet_unregister_protosw" },
	{ 0x3761d215, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xe91c65dd, "sock_wfree" },
	{ 0xe345cd4a, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xa7eff69d, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18350140, "ip6_dst_hoplimit" },
	{ 0x77eb7a1f, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x85f21090, "inet6_add_offload" },
	{ 0xd12e89cc, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc7002803, "inet6_bind" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x7b56253a, "trace_raw_output_prep" },
	{ 0xba331e9a, "l3mdev_fib_table_by_index" },
	{ 0x2e4e4242, "udp_sock_create4" },
	{ 0xbe563046, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x1d84fc22, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x8de7c8a4, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x34b9a23a, "skb_segment" },
	{ 0x5455ef03, "trace_event_printf" },
	{ 0x93521964, "__ip_dev_find" },
	{ 0xc973b095, "udp_tunnel6_xmit_skb" },
	{ 0x1dc00cd4, "sock_common_getsockopt" },
	{ 0x690cda18, "inet_bind" },
	{ 0x22024439, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xb43aad0, "fd_install" },
	{ 0xb8b257e8, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcc0f4c5, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a70b674, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x89814d99, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xde2aed1c, "bpf_trace_run2" },
	{ 0x47c7ba24, "sock_common_setsockopt" },
	{ 0x700ec73d, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6b0350d2, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xe276215e, "kmem_cache_create" },
	{ 0xf0c66ae8, "__sk_mem_schedule" },
	{ 0x152933ee, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xf34e8430, "sock_alloc_file" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6ae73c32, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x8002e3b9, "sk_error_report" },
	{ 0x15588699, "register_pernet_subsys" },
	{ 0xeee59469, "put_cmsg" },
	{ 0x6fd33ae8, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xb3d681f3, "register_net_sysctl_sz" },
	{ 0xfcd4de80, "inet_sock_destruct" },
	{ 0x494e9d83, "crypto_destroy_tfm" },
	{ 0xf9119826, "sock_kmalloc" },
	{ 0x41f03cf8, "inet_sk_get_local_port_range" },
	{ 0x429e4693, "inet6_del_protocol" },
	{ 0xd38ee2c7, "__get_hash_from_flowi6" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8dac2159, "inet_getname" },
	{ 0xb929b9c1, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xe9347a93, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xaa04751b, "__alloc_skb" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0x1d940d63, "inet_release" },
	{ 0x31560699, "kmem_cache_alloc" },
	{ 0x29fe380a, "proto_register" },
	{ 0x4bed4355, "skb_copy_expand" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xb52be6, "inet6_compat_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x693c6686, "inet_ctl_sock_create" },
	{ 0xa795eed5, "inet_ioctl" },
	{ 0xf2f5c9dc, "reuseport_add_sock" },
	{ 0x2ba4b93, "reuseport_select_sock" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x7d178561, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x83eb1e3e, "sk_filter_trim_cap" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x178a925c, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd9df3f44, "fput" },
	{ 0xace8d222, "__traceiter_sk_data_ready" },
	{ 0x316fc626, "inet_accept" },
	{ 0xb84835ae, "init_net" },
	{ 0x8fb86f40, "crypto_shash_setkey" },
	{ 0xe4e323b2, "skb_pull" },
	{ 0x62b06190, "inet_add_offload" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdfb8100f, "inet_add_protocol" },
	{ 0xc411851b, "inet_shutdown" },
	{ 0xa8a33c81, "sk_free" },
	{ 0x9395279d, "sock_wake_async" },
	{ 0x3e746880, "dev_get_by_index_rcu" },
	{ 0x9936da14, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x99342300, "inet_del_offload" },
	{ 0xbb642bbb, "skb_push" },
	{ 0x9b37901a, "__ip_queue_xmit" },
	{ 0x3d7903b9, "kmem_cache_free" },
	{ 0x75ef00c8, "__sk_mem_reclaim" },
	{ 0x4904c8a9, "fl6_update_dst" },
	{ 0x85abc85f, "strncmp" },
	{ 0x31500158, "proc_doulongvec_minmax" },
	{ 0x85adf0d8, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x9241eae, "ns_capable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xdc644d18, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x54468b96, "inet6_ioctl" },
	{ 0xee489bae, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0x6b17a6e4, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x67887e53, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xa7e70195, "ip6_dst_lookup_flow" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xa5f15a6e, "sock_no_socketpair" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xc58704ae, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4be565db, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x3cf182ff, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x23d8e0eb, "setup_udp_tunnel_sock" },
	{ 0x5c7d6e5e, "udp_sock_create6" },
	{ 0x1b59461b, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xcfe9b1c5, "sk_common_release" },
	{ 0xa550737a, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdec3660e, "inet6_getname" },
	{ 0x2513fca7, "sock_i_ino" },
	{ 0xcf9e3a5, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x756e5725, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x9f8da9ec, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3112cbfa, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4c713139, "trace_event_buffer_reserve" },
	{ 0x7fc70c1f, "__skb_checksum" },
	{ 0xf1f0201b, "reuseport_alloc" },
	{ 0x685c0231, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xcc36f6aa, "inet6_release" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x149be742, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x322952ad, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xdceb495c, "ipv6_dup_options" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0xaf34749b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2394b85a, "seq_printf" },
	{ 0xa4b96d79, "proc_create_net_single" },
	{ 0x6c03f385, "skb_copy" },
	{ 0xd9d74763, "skb_clone" },
	{ 0x2eba8187, "inet_sk_set_state" },
	{ 0x7f19bc53, "dst_release" },
	{ 0xb21c3b18, "_copy_from_iter" },
	{ 0xdd6dcdb7, "sock_release" },
	{ 0x74dae967, "proc_dointvec" },
	{ 0x6cefae3a, "seq_puts" },
	{ 0x710e4dbb, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xe7bbfed2, "_proc_mkdir" },
	{ 0xba772bb9, "sk_setup_caps" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xbea61b57, "send_sig" },
	{ 0x49e0b1dc, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x9d1b909f, "inet6_add_protocol" },
	{ 0xdf4d12c2, "from_kuid_munged" },
	{ 0xcca46990, "kmalloc_trace" },
	{ 0x8c4c349f, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xe71d8c21, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6990c836, "ipv6_getsockopt" },
	{ 0xbceb227, "reuseport_detach_sock" },
	{ 0x2b372361, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xc7a88764, "iov_iter_revert" },
	{ 0xb652553e, "crypto_alloc_shash" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbe504cd8, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xd6532d4a, "kmalloc_caches" },
	{ 0x58896ea1, "kmem_cache_destroy" },
	{ 0xc14466fe, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x89ca38b8, "skb_queue_head" },
	{ 0xaa3212b1, "proc_dointvec_minmax" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "346AE8A8ABC9AB94648081E");
MODULE_INFO(rhelversion, "9.99");
